Tue May  3 21:19:27 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	Roll back to 0.10.5, once more.  

Tue May  3 21:14:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	Fix configuration of 'LUA 5 or better'.  

Tue May  3 21:08:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Readd Sergey E. Galanov since the Lua {set,get}_option() functions
	was readded.  

Tue May  3 21:03:03 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* po/pl.po (REL_0_10):

	Dropped old, commented out entries 

Tue May  3 20:33:33 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/cache/cache.h (REL_0_10):

	Oops, use util/ttime.h and not util/time.h. (Why do I have
	util/time.h) in my 0.10 cvs).  

Tue May  3 20:01:36 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* po/pl.po (REL_0_10):

	Polish translation was updated (8 fuzzies and 6 untraslated
	strings).  

Tue May  3 18:50:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.5.CVS 

Tue May  3 18:45:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	Doh, revert to 0.10.5 

Tue May  3 18:43:59 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.5.CVS 

Tue May  3 18:43:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.5 

Tue May  3 18:34:50 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, de.po, el.po, es.po, et.po,
	fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po, lt.po,
	nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po, sv.po,
	tr.po, uk.po (REL_0_10):

	Update .po files.  

Tue May  3 18:34:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po (REL_0_10):

	Doh, forgot to cvs up. More Danish translation updates.  

Tue May  3 18:25:38 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po (REL_0_10):

	Update Danish translation.  

Tue May  3 18:00:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: .cvsignore, control, control.in, rules (REL_0_10):

	Merge bits from the debian changelog.  

Tue May  3 17:50:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: manual.html, manual.txt (REL_0_10):

	s/0.11/0.10/ :P 

Tue May  3 17:48:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Update the date and mention that the new fix for bug #293298 which I
	closed in the 0.10.4 release.  

Tue May  3 17:42:49 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Merge bits from the debian changelog.  

Tue May  3 17:31:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/Makefile.am (REL_0_10):

	Fix EXTRA_DIST in the makefile.  

Tue May  3 17:30:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: bookmarks.txt, exmode.txt, introduction.txt, mailcap.txt,
	marks.txt, mime.html, tabs.txt, terminal.txt, urlprefixes.txt
	(REL_0_10):

	Remove unneeded stuff.  

Tue May  3 17:29:52 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/index.txt (REL_0_10):

	Hmm, looks like I forgot to remove the mime.html which is now part
	of the manual.  

Tue May  3 17:28:59 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/index.txt (REL_0_10):

	Update the index.  

Tue May  3 17:28:14 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/perl.pod (REL_0_10):

	Include the perl scripting docs.  

Tue May  3 17:24:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: manual.html, manual.txt (REL_0_10):

	Include the generated manual. I think it is easier to just maintain
	the XML stuff in 0.11.  

Mon May  2 21:14:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/cache/cache.c (REL_0_10):

	Make trim the non-aggressive caching as was done in 0.11.  

Mon May  2 20:34:58 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: main.c, main.h, config/cmdline.c, config/cmdline.h
	(REL_0_10):

	Really fix the exit code issue from last patch by introducng
	RET_COMMAND that will like the previous version exit if the command
	line handler requested it.  

Mon May  2 20:20:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c (REL_0_10):

	Do not exit with RET_SYNTAX code when a command line handler returns
	the empty string.  

Mon May  2 14:44:34 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/conf.c (REL_0_10):

	Only sleep after config errors when the text viewer is started. Use
	'\a' instead of 7.  

Mon May  2 13:24:19 2005  Laurent Monin <zas@norz.org>:

	* po/fr.po (REL_0_10):

	French translation was updated.  

Mon May  2 13:16:39 2005  Laurent Monin <zas@norz.org>:

	* src/config/options.inc (REL_0_10):

	Sync allow_dark_on_black description with HEAD.  

Mon May  2 12:16:52 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: manual.html, manual.txt:

	Update the manual.  

Mon May  2 12:11:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/manual.txt:

	Convert Jose's MIME guide.  

Mon May  2 11:36:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: manual.html, manual.txt:

	Run make update-manual and add the result.  

Mon May  2 07:47:46 2005  Laurent Monin <zas@norz.org>:

	* po/fr.po (REL_0_10):

	French translation was updated.  

Sun May  1 23:12:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5 (REL_0_10):

	Sync with current tree. Now with ECMAScript options ;) 

Sun May  1 23:04:04 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.conf (REL_0_10):

	Sync using --config-dump.  

Sun May  1 22:50:38 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/renderer.c (REL_0_10):

	Fix form positioning bug on www.bookshare.org. Reported by
	Christopher Moore.  

Sun May  1 22:49:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/generic.h (REL_0_10):

	Add file permission bits not available on win32.  

Sun May  1 22:47:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: cache/cache.c, cache/cache.h, cache/dialogs.c,
	document/html/parser.c, document/html/parser.h,
	document/html/renderer.c, protocol/http/http.c (REL_0_10):

	Try to add support for less aggressive caching strategy. Disable 
	document.cache.ignore_cache_control to try it. On the flip side
	maybe there are too many strange thing I don't understand about the
	caching policy that this patch is just plain wrong. Let's give it a
	try and either improve or disable if it turns out too wrong.  

Sun May  1 22:18:20 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: refresh.c, refresh.h (REL_0_10):

	Introduce a workaround for document refreshing leading to
	neverending file download. It adds a restart member to struct
	document_refresh which is cleared when the refresh is not reloading
	the current document. It should do the right thing in most cases and
	the remaining ones users will just have to reload themselves to
	restart the refreshing. Reported by Neuromancer, and there is even a
	debian bug I wrongfully closed.  

Sun May  1 22:16:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c (REL_0_10):

	draw_file_download(): Check if download->progress still exists.
	Fixes crash with refreshing downloads and mailcap asking disabled.  

Sun May  1 22:13:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/Makefile.am (REL_0_10):

	Completely remove the NNTP codes.o requirement.  

Sun May  1 22:12:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/util/Makefile.am (REL_0_10):

	Fix conditional building of util/scanner.o. HTML highlighting also
	uses it. Alphabetize conditionals.  

Sun May  1 22:11:49 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/renderer.c (REL_0_10):

	Try to fix or rather work around bug 647. It looks like the table
	parsing can pick up forms twice, remove the form when it is added
	the second time and avoid the assertion failure.  

Sun May  1 22:10:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/: cmdline.c, conf.c, conf.h (REL_0_10):

	Add --config-dump which dump a configuration file with default
	options to stdout. Helpfull for packagemaintainers when providing an
	example config file and it costs nearly nothing.  

Sun May  1 22:09:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: protocol/nntp/Makefile.am, protocol/nntp/codes.c,
	protocol/nntp/codes.h, protocol/nntp/connection.c,
	sched/connection.h, sched/error.c (REL_0_10):

	Make NNTP use the internal error reporting.  

Sun May  1 22:06:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/nntp/connection.c (REL_0_10):

	A few NNTP fixes.  

Sun May  1 22:05:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c (REL_0_10):

	Make open-...-in-background descriptions more readable. Idea by
	miernik.  

Sun May  1 22:03:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/inphist.c, bookmarks/backend/common.c,
	cookies/cookies.c, document/html/renderer.c, formhist/formhist.c,
	globhist/globhist.c, intl/gettext/localcharset.c,
	intl/gettext/localealias.c, mime/backend/mailcap.c,
	mime/backend/mimetypes.c, util/file.c, util/secsave.c,
	viewer/text/textarea.c (REL_0_10):

	Add 'b' to mode string in fopen()-calls. More portable on win32
	platform and it is ignored on Unix-platforms.  

Sun May  1 22:02:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Unicode/cp1250.cp, Unicode/cp1257.cp, src/intl/codepage.inc
	(REL_0_10):

	Use 0x0000 value for undefined codepage entries. More portable I
	think. Idea from links2.1pre16.  

Sun May  1 21:36:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po (REL_0_10):

	Update Danish translation.  

Sun May  1 21:32:11 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, protocol/protocol.c, sched/session.c,
	sched/session.h, sched/task.c (REL_0_10):

	Make print_error_dialog() show URI when possible.  

Sun May  1 21:22:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/perl/hooks.pl (REL_0_10):

	Various fixes and improvements. (rrowan) 

Sun May  1 21:21:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.fortune (REL_0_10):

	I had no idea that 'z' stopped a connection.  Sounds like a good tip
	to me. (rrowan) 

Sun May  1 21:18:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: lowlevel/connect.c, sched/connection.h, sched/error.c
	(REL_0_10):

	Introduce S_NO_FORCED_DNS used when all addresses for http6:// type
	URIs fails.  The error message is a slightly modified version of
	S_NO_DNS: 'No host in the specified IP family was found'.  

Sun May  1 21:15:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: lowlevel/connect.c, lowlevel/dns.c, lowlevel/select.h,
	osdep/os2/os2.c, osdep/unix/unix.c, protocol/ftp/ftp.c,
	protocol/smb/smb.c, sched/connection.c, terminal/kbd.c,
	terminal/terminal.c (REL_0_10):

	Introduce a clear_handlers() macro equivalent to
	set_handlers(socket->fd, NULL, NULL, NULL, NULL) calls.  

Sun May  1 21:14:15 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc (REL_0_10):

	Update document.colors.allow_dark_on_black to explain that it allows
	light on white too. (pasky and me) 

Sun May  1 21:11:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/document.c (REL_0_10):

	Also show link image info in the document dialog.  

Sun May  1 21:10:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	Add the builddir variable, initialised to "`pwd`".  
	
	Source $builddir/features.conf after sourcing $srcdir/features.conf.  
	
	This allows one to have a specific features.conf file for each build
	tree and to change compile-time settings without modifying a file
	that is tracked by CVS.  
	
	By Miciah.  

Sun May  1 21:09:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/renderer.c (REL_0_10):

	Skip non-link chars from attribute values. Fixes HTML highlighting
	of hrefs links with newlines etc in the value.  

Sun May  1 21:07:25 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c (REL_0_10):

	Guard CGI related code with #ifdef CONFIG_CGI.  

Sun May  1 21:05:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, dialogs/download.c
	(REL_0_10):

	Add a field do_not_save_state to struct hierbox_browser, and move
	FIXME to download_manager(). (zas) 

Sun May  1 21:04:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c (REL_0_10):

	Introduce a GOPHER_UNKNOWN entity type which works as a fall-back
	when no entity is available in the Gopher URI. Reported by Rowan.  
	
	gopher_protocol_handler(): Move code from default port label to be
	rather the fallback code.  

Sun May  1 21:00:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, viewer/text/link.c (REL_0_10):

	Make sure get_current_link_title() only returns title string if it
	is non-empty.  It is already checked by the status message handling
	but should also be checked for the document dialog which is
	currently showing empty link titles.  

Sun May  1 20:59:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	Only set a link's accesskey if the accesskey attribute's value is
	not an empty string. --Miciah 

Sun May  1 20:57:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: osdep/generic.h, protocol/uri.c (REL_0_10):

	Move IP address string macros.  

Sun May  1 20:49:24 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, m4/features.m4 (REL_0_10):

	Looks like sh on old solaris systems don't like ='s in the list to
	for loops.  

Sun May  1 14:26:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/connection.c (REL_0_10):

	Remove unneeded header.  

Sun May  1 14:05:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/encoding/gzip.c (REL_0_10):

	No need to include sched/connection.h in the gzip code.  

Sun May  1 14:01:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/dns.c (REL_0_10):

	Fix compile warning when NO_ASYNC_LOOKUP is #defined.  

Fri Apr 15 23:21:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/connection.c (REL_0_10):

	done_connection(): Ensure that connection always is in result state
	before notifying connection callbacks the last time. So set the
	state to S_INTERNAL if we have to. Should fix some random crashes.  

Wed Apr 13 23:30:14 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Makefile.am (REL_0_10):

	Only distribute .m4 files from m4/ so the CVS dir doesn't end up in
	the distributed tarball.  

Thu Apr  7 13:36:30 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* po/pl.po (REL_0_10):

	Polish translation was updated.  

Thu Apr  7 13:18:31 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* src/scripting/lua/core.c (REL_0_10):

	Readded get_option() and set_option() and make sure we compile on
	LUA 4.  

Thu Apr  7 13:17:01 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* configure.in (REL_0_10):

	Check if we have LUA 5 or betterm so that we can use
	lua_pushboolean() in src/scripting/lua/core.c::l_get_option().  

Thu Apr  7 10:21:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS, src/scripting/lua/core.c (REL_0_10):

	Remove Lua-support for getting and setting options since adamg
	reported that it leads to compile problems because of the use of
	lua_pushboolean().  

Wed Apr  6 17:02:00 2005  Petr Baudis <pasky@ucw.cz>:

	* doc/perl.pod:

	Ideas about some simple dialogs.  

Wed Apr  6 15:34:25 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.4.CVS 

Wed Apr  6 15:32:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.4 

Wed Apr  6 15:25:11 2005  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS (REL_0_10):

	Mention accelerators. Make it look like the 0.11 version.  

Wed Apr  6 15:20:12 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Minor nitpicking update.  

Wed Apr  6 14:30:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Close some debian bugs.  

Wed Apr  6 14:24:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5 (REL_0_10):

	Sync with current option tree.  

Wed Apr  6 14:12:19 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po (REL_0_10):

	Update and sync po files with those from the 0.11 train.  

Wed Apr  6 13:45:41 2005  Petr Baudis <pasky@ucw.cz>:

	* doc/perl.pod:

	Fixed tiny mistake in the ELinks::conf_eval() description.  

Wed Apr  6 13:41:55 2005  Petr Baudis <pasky@ucw.cz>:

	* doc/perl.pod:

	First sketch of the Perl->ELinks scripting interface.  

Wed Apr  6 11:12:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/lua/core.c (REL_0_10):

	Compile fix.  

Wed Apr  6 11:11:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/main.c (REL_0_10):

	Only add /dev/stdin to the URL list when no URLs was given on the 
	command line. Allow special files when /dev/stdin is added. (debian 
	bug #296976) 

Wed Apr  6 11:07:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c (REL_0_10):

	Show warning messages by default. --pasky 

Wed Apr  6 11:06:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/document.c (REL_0_10):

	Add a space between size and (incomplete) in document info dialog.
	--zas 

Wed Apr  6 11:06:01 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/header.c (REL_0_10):

	Fix redirection issues on newsnow.co.uk due to single quotes
	enclosing of URL. Please review carefully. --zas 

Wed Apr  6 11:03:13 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, m4/ruby.m4 (REL_0_10):

	Fix Guile and Ruby detection, it was a quoting issue. Thanks to
	Jonas. --zas 

Wed Apr  6 11:00:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/dialog.c (REL_0_10):

	Move focus to the first widget when clearing a dialog. --zas and me 

Wed Apr  6 10:58:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, viewer/text/link.c (REL_0_10):

	Fix displaying of accesskeys. --zas 

Wed Apr  6 10:57:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Update contributors.  

Wed Apr  6 10:57:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/lua/core.c (REL_0_10):

	Add two new functions available from Lua scripts: set_option(name,
	value) and and get_option(name). Patch by Sergey and zas 

Wed Apr  6 10:52:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/renderer.c (REL_0_10):

	add_dom_link(): Use convert_string() to get the decode entities in
	references.  

Wed Apr  6 10:51:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/dialogs.c (REL_0_10):

	Check the return value of snprintf in do_auth_dialog. --Miciah 

Wed Apr  6 09:30:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: Makefile.am, ftp/Makefile.am, ftp/ftp.c,
	ftp/ftpparse.c, ftp/ftpparse.h, ftp/parse.c, ftp/parse.h
	(REL_0_10):

	Switch from using ftpparse.{c|h} to use Wget-based FTP directory
	listing parsers due to licensing issues. (debian bug 300889) 

Wed Apr  6 09:28:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: cookies/cookies.c, protocol/date.c, protocol/date.h,
	sched/download.c (REL_0_10):

	Change to date parsing interface.  

Wed Apr  6 09:27:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/file.c (REL_0_10):

	Use encode_uri_string to add the base href when generating file
	listings. (bug 358) --Miciah 

Wed Apr  6 09:12:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/user.c (REL_0_10):

	Decode the subject when handling mailto: links. There is still a
	problem with using add_shell_safe... which is the same as it was for
	URI passing.  

Wed Apr  6 09:11:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/msgbox.c, cache/dialogs.c,
	config/dialogs.c, cookies/dialogs.c, dialogs/download.c,
	dialogs/edit.c, dialogs/info.c, dialogs/menu.c, dialogs/options.c,
	formhist/dialogs.c, formhist/formhist.c, globhist/dialogs.c,
	mime/dialogs.c, protocol/protocol.c, protocol/auth/dialogs.c,
	sched/download.c, sched/session.c, sched/task.c,
	scripting/lua/core.c, terminal/tab.c, viewer/text/search.c
	(REL_0_10):

	Add accelerators to buttons. --Miciah 

Wed Apr  6 09:10:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: inpfield.c, inpfield.h (REL_0_10):

	Compile fix and add button accelerators. --zas and me 

Wed Apr  6 09:02:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c (REL_0_10):

	Fix i18n code, reported by Jonas. --zas 

Wed Apr  6 09:02:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/inpfield.c, bfu/inpfield.h,
	bookmarks/dialogs.c, config/dialogs.c, dialogs/menu.c,
	scripting/lua/core.c, viewer/text/view.c (REL_0_10):

	Introduce input_dialog() that wraps input_field(). I18n is always
	on, and OK/Cancel buttons always there. --zas 

Wed Apr  6 09:00:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/dialogs.c (REL_0_10):

	push_kbdbind_add_button(): i18n improvement and code simplification.
	--zas 

Wed Apr  6 08:59:38 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/inpfield.c, bfu/leds.c, bfu/msgbox.c,
	bfu/msgbox.h, config/dialogs.c, dialogs/document.c, dialogs/info.c,
	ecmascript/spidermonkey.c, formhist/dialogs.c, protocol/user.c,
	protocol/nntp/codes.c, sched/download.c, sched/session.c,
	scripting/lua/core.c, scripting/ruby/core.c, viewer/text/draw.c,
	viewer/text/form.c, viewer/text/search.c, viewer/text/textarea.c,
	viewer/text/view.c (REL_0_10):

	Introduce info_box() which wraps msg_box() calls. --zas 

Wed Apr  6 08:54:58 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/button.c (REL_0_10):

	Typo fix, hidden bug introduced by 1.86 -> 1.87. --zas 

Wed Apr  6 08:53:12 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, util/secsave.c (REL_0_10):

	Introduce the option infofiles.secure_save_fsync, which allows one 
	to configure whether secure file saving calls fsync(3).  
	
	Idea by Russ Rowan. --Miciah 

Wed Apr  6 08:52:24 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c (REL_0_10):

	Add a change-hook for bookmarks.folder_state that marks the
	bookmarks dirty when folder_state is disabled. This ensures that the
	bookmarks will be saved, thereby ensuring that folders really will
	be collapsed.  --Miciah 

Wed Apr  6 08:51:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c (REL_0_10):

	Do not display terminal options help text when terminal height is
	too low. User should be able to change the options even with small
	terminal. It is just a fast hack, a better solution resides in
	scrollable dialog boxes... --zas 

Wed Apr  6 08:50:39 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/checkbox.c, config/options.inc (REL_0_10):

	Add dialog.checkbox-selected color to options. (bug 644) --zas 

Wed Apr  6 08:48:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/: bookmarks.c, backend/default.c, backend/xbel.c
	(REL_0_10):

	Add option to control whether (expanded) folder states should be
	stored when saving bookmarks (bookmarks.folder_state). Defaults to
	on; the current behavior. (bug 642) 

Wed Apr  6 08:48:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/proxy.c (REL_0_10):

	Strip protocol part (ftp://, etc) also from scripting string.  

Wed Apr  6 08:47:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/button.c, bfu/button.h, bfu/dialog.c,
	bookmarks/dialogs.c (REL_0_10):

	Add support for specifying button shortcuts using '~'. --zas 

Wed Apr  6 08:44:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.fortune (REL_0_10):

	Moo the fortune file.  

Wed Apr  6 08:44:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/perl/: config.pl, hooks.pl (REL_0_10):

	A lot of Perl updates. --rrowan and --pasky 

Wed Apr  6 08:39:15 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/dialogs.c (REL_0_10):

	Drop the [ Clear ] button, this one is too dangerous, so let the
	user deletes the bookmarks file instead, if needed. --zas 

Wed Apr  6 08:38:44 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/dialogs.c (REL_0_10):

	Compile fix.  

Wed Apr  6 08:36:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/dialogs.c (REL_0_10):

	Add a new button to bookmarks manager to add a separator. --zas 

Wed Apr  6 08:34:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/dialogs.c (REL_0_10):

	Reorder buttons in bookmarks manager. --zas 

Wed Apr  6 08:33:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/backend/xbel.c (REL_0_10):

	Add a newline after <separator/>. --zas 

Wed Apr  6 08:32:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listbox.c, bfu/listbox.h, bookmarks/bookmarks.c,
	bookmarks/backend/default.c, bookmarks/backend/xbel.c (REL_0_10):

	Add support for bookmarks separators. To insert one enter - as title
	and no url. --zas 

Wed Apr  6 08:31:50 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/renderer.c (REL_0_10):

	init_dom_renderer(): Always use the decoded buffer. This was causing
	a garbage cache entry fragment to be used when no fragments was
	available in the cache entry.  

Wed Apr  6 08:31:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/color.c (REL_0_10):

	Corrected blue on red background contrast correction. --pasky 

Wed Apr  6 08:29:13 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/ftp.c (REL_0_10):

	Prevent possible double freeing of conn->info. --zas 

Wed Apr  6 08:26:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/leds.c, dialogs/status.c (REL_0_10):

	This is just a small change, but I figured that since 
	document.browse.forms.insert_mode now defaults to 1, that 'I' in the 
	LEDs should mean "insert mode" and 'i' should mean "insert mode, 
	modeless". --rrowan 

Wed Apr  6 08:25:38 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Unicode/gen-cp (REL_0_10):

	Fix tail/head update. --zas 

Wed Apr  6 08:24:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Unicode/gen-cp (REL_0_10):

	Recent head/tail warns about obsolete -<number>/+<number> options,
	use -n <number> instead. --zas 

Wed Apr  6 08:20:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/README, src/dialogs/info.c, src/intl/gettext/libintl.h
	(REL_0_10):

	Introduce plural gettext forms through n_() and rework
	get_resource_info() to make it more i18n compliant. --zas 

Wed Apr  6 08:13:36 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/document.c (REL_0_10):

	Center the nowhere box text.  

Wed Apr  6 08:10:39 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/encoding/encoding.c (REL_0_10):

	Fix reading from /dev/stdin on Mac OS X. Patch by <otto@duke.edu>.
	(bug 616) 

Tue Apr  5 21:15:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c (REL_0_10):

	Remove a superfluous |mem_free_if(task)|. --Miciah 

Tue Apr  5 21:13:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c (REL_0_10):

	Fix typo. --zas 

Tue Apr  5 21:11:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: button.c, checkbox.c, listbox.c, text.c (REL_0_10):

	When block cursor terminal option is set, keep cursor at lower right
	of screen in dialogs too. (bug 583) --zas.  

Tue Apr  5 21:08:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/hierbox.c, bfu/inpfield.c, bfu/inphist.c,
	bfu/listbox.c, bfu/listmenu.c, bfu/menu.c, bfu/style.c,
	bookmarks/bookmarks.c, bookmarks/backend/xbel.c, cache/cache.c,
	config/dialogs.c, config/kbdbind.c, config/options.c,
	config/opttypes.c, cookies/cookies.c, cookies/dialogs.c,
	cookies/parser.c, dialogs/info.c, document/document.c,
	document/forms.c, document/options.c, document/refresh.c,
	document/renderer.c, document/css/parser.c,
	document/css/stylesheet.c, document/dom/navigator.c,
	document/dom/node.c, document/dom/renderer.c,
	document/html/frames.c, document/html/parser.c,
	document/html/renderer.c, document/html/tables.c,
	document/html/parser/forms.c, document/html/parser/link.c,
	document/html/parser/parse.c, document/html/parser/stack.c,
	document/html/parser/table.c, document/plain/renderer.c,
	document/sgml/parser.c, ecmascript/ecmascript.c,
	ecmascript/spidermonkey.c, encoding/bzip2.c, encoding/encoding.c,
	formhist/formhist.c, globhist/globhist.c, intl/charsets.c,
	intl/gettext/dcigettext.c, intl/gettext/localealias.c,
	lowlevel/connect.c, lowlevel/dns.c, lowlevel/interlink.c,
	lowlevel/select.c, mime/dialogs.c, mime/backend/common.c,
	mime/backend/mailcap.c, mime/backend/mimetypes.c,
	osdep/getifaddrs.c, osdep/osdep.c, osdep/beos/beos.c,
	osdep/os2/os2.c, osdep/unix/unix.c, osdep/win32/win32.c,
	protocol/uri.c, protocol/auth/auth.c, protocol/auth/digest.c,
	protocol/file/cgi.c, protocol/ftp/ftp.c, protocol/ftp/ftpparse.c,
	protocol/gopher/gopher.c, protocol/http/blacklist.c,
	protocol/http/codes.c, protocol/http/http.c, protocol/nntp/codes.c,
	protocol/nntp/connection.c, protocol/smb/smb.c, sched/connection.c,
	sched/download.c, sched/error.c, sched/event.c, sched/location.c,
	sched/session.c, sched/task.c, scripting/lua/core.c,
	terminal/event.c, terminal/kbd.c, terminal/screen.c,
	terminal/tab.c, terminal/terminal.c, terminal/terminal.h,
	terminal/window.c, util/fastfind.c, util/file.c, util/hash.c,
	util/scanner.c, util/scanner.h, util/secsave.c, util/string.c,
	viewer/dump/dump.c, viewer/text/form.c, viewer/text/link.c,
	viewer/text/marks.c, viewer/text/search.c, viewer/text/vs.c
	(REL_0_10):

	sizeof(struct name) -> sizeof(*name). --zas 

Tue Apr  5 21:04:19 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/widget.h (REL_0_10):

	Remove a superfluous incomplete declaration of struct widget_data.
	--Miciah 

Tue Apr  5 20:23:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: Makefile.am, bookmarks.txt, color-model.txt,
	ecmascript.txt, elinks-lua.texi, events.txt, exmode.txt, faq.html,
	feedback.txt, hacking.txt, index.txt, introduction.txt,
	mailcap.txt, marks.txt, remote.txt, small.txt, tabs.txt,
	urlprefixes.txt (REL_0_10):

	Sync the documentation updates.  

Tue Apr  5 19:47:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/faq.html:

	Add FAQ from homepage. (debian bug 301861) 

Tue Apr  5 15:41:12 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_vms_permissions(): reduce code redundancy.  

Tue Apr  5 12:45:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	parse_year() assumes the epoch is starting at 1.1.1970 so no need
	for that in parse_ftp_winnt_response(). Sloppy me.  

Tue Apr  5 12:42:53 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.h:

	s/ftp/FTP/ in last patch.  

Tue Apr  5 12:37:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.h:

	Describe the FTP parser testing #define.  

Tue Apr  5 12:35:51 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Fix garbage VMS-style line to have correct line end. Use
	parse_year() in parse_ftp_winnt_response().  

Tue Apr  5 12:01:50 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/: parse.c, parse.h:

	Add FTP parser testing infrastructure.  

Mon Apr  4 12:18:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Remove DBG() calls.  

Mon Apr  4 12:16:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	parse_ftp_vms_response(): Use parse_date().  

Fri Apr  1 16:56:33 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_response(): Use parse_time() if memchr() finds a ':'
	in the time token.  

Wed Mar 30 20:25:11 2005  Russ Rowan <rrowan@dandy.net>:

	* contrib/perl/config.pl:

	Add "email" to the sample configs.  

Wed Mar 30 13:12:29 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_permissions(): minor cleanup.  

Wed Mar 30 13:00:45 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_permissions(): returns 0 instead of -1 in case of
	parsing error.  

Tue Mar 29 03:35:49 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Export parse_day() and use for FTP ls parsing.  

Tue Mar 29 03:07:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Make parse_month() take optional end pointer.  

Tue Mar 29 02:59:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Use generic parse_month(). It introduces some ugly casts, tho.  

Tue Mar 29 02:44:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Use generic parse_year(). It introduces some ugly casts, tho.  

Tue Mar 29 01:16:20 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Fix spacing, part two.  

Tue Mar 29 01:04:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Fix spacing.  

Tue Mar 29 01:03:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Use generic parse_time(). It introduces some ugly casts, tho.  

Mon Mar 28 23:24:11 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_response(): minor code simplification.  

Mon Mar 28 23:21:28 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_permissions(): replace C++ style comments by C style
	comments.  

Mon Mar 28 23:20:00 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	Drop trailing spaces.  

Mon Mar 28 23:19:00 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_permissions(): borrow code from lftp and improve
	things a lot regarding recognized permissions and handling of parse
	errors.  

Mon Mar 28 22:26:29 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_response(): go the safe way, test the length before
	anything.  

Mon Mar 28 22:23:01 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_unix_response(): minor simplification.  

Mon Mar 28 22:19:58 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_winnt_response(): make that 39 more obvious.  

Mon Mar 28 22:18:27 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_file_info(): assert parameters.  

Mon Mar 28 22:17:19 2005  Laurent Monin <zas@norz.org>:

	* src/protocol/ftp/parse.c:

	parse_ftp_file_info(): minor simplification.  

Mon Mar 28 19:09:19 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Safeguard EPLF parsing; if no more fact separators are found set
	@pos to @end.  

Sun Mar 27 22:35:46 2005  Russ Rowan <rrowan@dandy.net>:

	* contrib/perl/config.pl:

	Properly comment config.pl so it's readable.  

Sun Mar 27 22:20:27 2005  Russ Rowan <rrowan@dandy.net>:

	* contrib/perl/config.pl:

	And here's config.pl.  

Sun Mar 27 18:32:07 2005  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/ftp/parse.c:

	Stop including ftpparse's header file now that ftpparse is gone.  

Sun Mar 27 14:53:11 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Fall-back to use the Un*x-style parser if nothing else is
	recognized. The ftpparse code is no longer needed.  

Sun Mar 27 14:51:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Add a FTP directory parser for the MSDOS/WinNT format. It is based
	on the wget code but uses the ftpparse files method for determining
	which parser to use.  

Sun Mar 27 14:50:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Fix month mapping bug in the FTP parser for VMS-style listing.  

Sun Mar 27 14:27:59 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Move the FTP permission parsers near the line response parser.  

Sun Mar 27 14:24:58 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Add a FTP directory parser for the VMS format. It is based on the
	wget code but uses the ftpparse files method for determining which
	parser to use.  

Sun Mar 27 07:23:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Add a FTP directory parser for the Un*x format. It is based on the
	wget code but uses the ftpparse files method for determining which
	parser to use.  

Sun Mar 27 07:11:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Oops, forgot to include the ELinks master header.  

Sun Mar 27 07:10:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Use a switch when determining what parser to use.  

Sun Mar 27 07:09:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Introduce parse_ftp_number() helper.  

Sun Mar 27 04:12:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/parse.c:

	Add a FTP directory parser for the EPLF format.  

Sun Mar 27 02:20:34 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/: parse.c, parse.h:

	Introduce gluecode that will ease the transition from using ftpparse
	to using the modified wget parser.  

Mon Feb 28 20:55:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.3.CVS 

Mon Feb 28 20:54:25 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.3 (II) 

Mon Feb 28 20:24:27 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.3.CVS 

Mon Feb 28 20:18:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, doc/man/man5/elinks.conf.5 (REL_0_10):

	0.10.3 

Mon Feb 28 20:11:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.fortune:

	file elinks.fortune was initially added on branch REL_0_10.  

Mon Feb 28 20:11:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/: Makefile.am, elinks.fortune, perl/hooks.pl (REL_0_10):

	This update by Russ Rowan has 4 parts: 
	
	1) This part includes some cleanups.  The random URL generator now
	   looks in more places for words, including ~/.elinks/elinks.words, if
	it exists.  
	
	2) This part adds the new fortune quit hook.  It will now look in
	   several locations for "elinks.lines" (/etc/elinks, ~/.elinks, the
	   docs directory) in standard fortune format.  If found, it will
	   output a random tip or bit of humor from #elinks.  If not, it will
	fall back to the previous behavior.  
	
	3) This part adds a new smart prefix.  xyzzy.  Just try it a few
	   times.  Ah, the Good Old Days.  
	
	4) This part adds a new follow_url_hook.  All Usenet links now
	   become links to the Google Groups archive for that group.  The hook
	   defaults to the "old style".  If you, for some reason, prefer Google
	   Groups Beta, just touch a file called "beta" in ~/.elinks and it
	will use that.  

Mon Feb 28 04:20:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Close some more fixed Debian bugs.  

Mon Feb 28 02:52:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Change the versioning to be 0.10-cvs.1.  

Mon Feb 28 02:47:21 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po (REL_0_10):

	Sync .po files and merge changes.  

Mon Feb 28 02:31:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	Check for inet_ntop().  

Mon Feb 28 02:07:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c (REL_0_10):

	cookies.save is boolean.  

Mon Feb 28 02:06:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/finger/finger.h (REL_0_10):

	Normalize the header guards.  

Mon Feb 28 02:06:19 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: renderer.c, html/renderer.c, plain/renderer.c
	(REL_0_10):

	Fix honouring of the Refresh-header when the loaded document is
	empty. The fix requires assertions to be removed in the renderers.
	It also fixes things like document->bgcolor not being set for empty
	documents. Reported by Daniel on elinks-users. (bug 625) 

Mon Feb 28 02:05:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	Oops. Fix last patch. A little rusty. ;) 

Mon Feb 28 02:05:12 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	According to http://wp.netscape.com/assist/net_sites/pushpull.html a
	missing URL parameter to the Refresh HTTP-equiv indicates the
	current document should be refreshed.  

Mon Feb 28 02:04:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	Fix displaying of ordered lists when <li> is not directly nested in
	<ol>-elements. Reported by Michal Kwiatkowski.  

Mon Feb 28 02:02:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/: bookmarks.c, dialogs.c (REL_0_10):

	Fix opening of either single bookmarks or folders by using
	get_translated_uri() instead of get_uri(). The problem occurs for
	URLs without a slash at the end. Reported by Michal Kwiatkowski.  

Mon Feb 28 02:02:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/nntp/connection.c (REL_0_10):

	Truncate NNTP cache entries when ending connections.  

Mon Feb 28 01:52:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c (REL_0_10):

	A truer translation of Czechlish 'a special care' is 'special care', 
	not 'a special case'.  
	
	Patch by Miciah.  

Mon Feb 28 01:51:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c (REL_0_10):

	Nicen up the comments in struct element_info.  

Mon Feb 28 01:50:27 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c (REL_0_10):

	Apparently the attribute string can be removed from under us (when
	accessing google news) so check before applying CSS the second time.  

Mon Feb 28 01:49:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/file.c (REL_0_10):

	Add a <base href=cwd /> element to the generate directory listing.  

Mon Feb 28 01:49:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c (REL_0_10):

	The caching of the CSS selector is broken, since t can lead to wrong
	styles being applied to following elements, so disabled for now.  

Mon Feb 28 01:47:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.c (REL_0_10):

	Try to detect missing punctuation with --enable-debug. It might
	produce false warnings for languages with very different
	punctuation.  

Mon Feb 28 01:45:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c (REL_0_10):

	Add toggle html/plain to right click menu, and make it to not
	display reload/bookmark when no document is available.  
	
	Patch by zas.  

Mon Feb 28 01:32:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/: osdep.c, win32/win32.c (REL_0_10):

	Move setlocale() to the recently added init_osdep(). Fixes gettext
	declaration clashes on SunOS. Big fat note left near the <locale.h>
	include. Reported by Stephane Chazelas.  

Mon Feb 28 01:31:50 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/stub.c (REL_0_10):

	Fix issue with missing includes reported by Stephane Chazelas and
	s/inet_ntop4/elinks_inet_ntop4/ (how was it even possible to compile
	this crap I merged). Spiced up with a little cleanups to make Miciah
	happy.  

Mon Feb 28 01:30:04 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/Makefile.am (REL_0_10):

	Only create .../lib directory if the gettext code is going to
	install a new charset.alias file.  

Mon Feb 28 01:29:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, sched/download.c (REL_0_10):

	Defer displaying of the download dialog until after the external
	handler has been set up. Use this info to avoid adding the 'Abort
	and delete file' button when dealing with downloads scheduled to
	open in external handlers.  

Mon Feb 28 01:27:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c (REL_0_10):

	Try to improve the proxy error message. Patch by Morten and me.  

Mon Feb 28 01:22:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/perl/hooks.c (REL_0_10):

	Fix the get-proxy hook so that an undef return value from the PERL
	hook results in the default proxy being used, as is supposed to be
	the case with get-proxy hooks.  
	
	Many thanks to Neuromancer for testing.  
	
	Patch by Miciah.  

Mon Feb 28 01:21:34 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: intl/gettext/dcigettext.c, lowlevel/interlink.c,
	lowlevel/signals.c, osdep/osdep.c, util/time.c, util/ttime.c
	(REL_0_10):

	Some more compile fixes revealed on MingW. In get_address() port is
	always > 65535.  

Mon Feb 28 01:20:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* m4/win32.m4:

	file win32.m4 was initially added on branch REL_0_10.  

Mon Feb 28 01:20:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, m4/win32.m4, src/osdep/Makefile.am,
	src/osdep/generic.h, src/osdep/osdep.c, src/osdep/system.h,
	src/osdep/win32/Makefile.am, src/osdep/win32/overrides.c,
	src/osdep/win32/overrides.h, src/osdep/win32/sysinfo.h,
	src/osdep/win32/win32.c, src/osdep/win32/win32.h,
	src/terminal/screen.c, src/util/error.c (REL_0_10):

	Merge the win32 updates by Gisle and me.  

Mon Feb 28 01:14:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: osdep/getifaddrs.c, util/secsave.c (REL_0_10):

	Fix two compile errors.  

Mon Feb 28 01:12:20 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/: stub.c, stub.h (REL_0_10):

	Add a stub for inet_ntop(). It is quite big, but WTH. Patch by Paul
	Vixie, Gisle Vanem and me.  

Mon Feb 28 01:11:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/getifaddrs.c (REL_0_10):

	Guard getifaddrs2() by a thick wall of macro checks so it only gets
	compiled in when it is actually used.  

Mon Feb 28 01:11:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/: osdep.c, osdep.h (REL_0_10):

	Add init_osdep() hook.  

Mon Feb 28 01:10:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/dns.c (REL_0_10):

	lookup_fn(): Wrap in #ifndef NO_ASYNC_LOOKUP because do_lookup()
	will only call it if ... Patch by Gisle Vanem.  

Mon Feb 28 01:09:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/connect.c (REL_0_10):

	dns_found(): Check also EWOULDBLOCK (if available on win32) after
	calling connect(). Patch by Gisle Vanem.  

Mon Feb 28 01:09:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/connection.h (REL_0_10):

	Prepare for handling winsock errors by moving the internal error
	numbers so they start at -100000. Patch by Gisle Vanem.  

Mon Feb 28 01:08:19 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/lowlevel/signals.c (REL_0_10):

	Check not only sigaction.h but also sigaction() and fall back to use
	signal() interface if it is not available. Not I am on thin ice
	here. From the MingW/win32 port but I think I made the original
	patch sometime I was visiting my father in Jutland.  

Mon Feb 28 00:56:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: lowlevel/select.c, lowlevel/signals.c, osdep/osdep.c
	(REL_0_10):

	Various signal compile checks/fixes needed by mingw/win32 port.
	Patch by Gisle Vanem and me.  

Mon Feb 28 00:52:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/loadmsgcat.c (REL_0_10):

	Fix compile warning.  

Mon Feb 28 00:52:13 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/gettext.h (REL_0_10):

	Tidyup.  

Mon Feb 28 00:51:27 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/osdep/osdep.c, src/osdep/osdep.h,
	src/terminal/kbd.c (REL_0_10):

	Check for existence of termios.h 

Mon Feb 28 00:44:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/dialogs.h (REL_0_10):

	Declare @cookie_queries as extern in the .h file. It was probably
	utterly broken until now. Also fixes compilation with outrageous
	CFLAGS like some of the Gentoo people like to have
	(http://bugs.gentoo.org/show_bug.cgi?id=80226).  
	
	Patch by pasky.  

Mon Feb 28 00:42:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/ruby/.cvsignore (REL_0_10):

	pasky m33ped.  

Mon Feb 28 00:40:38 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: cache/cache.c, protocol/proxy.c, protocol/proxy.h,
	sched/connection.c, sched/connection.h, sched/error.c (REL_0_10):

	Try to detect errors in the proxy configuration and pop up an
	appropriate error message instead of OOM.  

Mon Feb 28 00:35:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Hugo made the watch file.  

Mon Feb 28 00:34:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, watch (REL_0_10):

	Sync debian updates from 0.10.2-2 and 0.11.  

Mon Feb 28 00:23:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/perl/hooks.pl (REL_0_10):

	Sync changes by Rowan.  

Mon Feb 28 00:21:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/ruby/hooks.rb (REL_0_10):

	s/Qnil/nil/ 

Mon Feb 28 00:19:59 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/forms.c (REL_0_10):

	The HTML specification at 
	http://www.w3.org/TR/REC-html40/interact/forms.html#h-17.3 states 
	that the behavior of an empty action attribute should be undefined.  
	Mozilla handles action="" as action="<current-URI>" which seems 
	reasonable. (bug 615) 

Tue Feb 22 14:38:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/Makefile.am (REL_0_10):

	Doh. Add elinks.docs to EXTRA_DIST.  

Thu Feb 17 07:22:28 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* po/pl.po (REL_0_10):

	Missing ending punctuation, replaced ? with . at some places.  

Sat Feb  5 18:14:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/win32/overrides.c:

	Unix'fy and ELinksify the code.  

Sat Feb  5 17:43:33 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/win32/overrides.h:

	Convert to unix newlines and make the code conform to the hacking
	guidelines.  

Sat Feb  5 06:27:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/win32/overrides.c:

	Move IDN init code to init_osdep(), so these ugly constructors and
	deinit hooks can be removed. Make the tracing appear only when
	--verbose 2.  

Sat Feb  5 05:26:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/win32/: overrides.c, overrides.h:

	Add remaining glue code so that the win32 should theoretically
	compile (I will test when I wake up) and the resulting binary can
	dump data.  

Fri Feb  4 21:45:51 2005  Petr Baudis <pasky@ucw.cz>:

	* contrib/ruby/.cvsignore:

	A fairy.  

Fri Feb  4 00:26:16 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* src/protocol/file/cgi.c (REL_0_10):

	One more casting fix 

Thu Feb  3 23:58:22 2005  Adam Golebiowski <adamg@pld-linux.org>:

	* src/: bfu/listmenu.c, dialogs/info.c, dialogs/options.c,
	document/html/renderer.c, protocol/http/codes.c, sched/session.c,
	scripting/lua/core.c, terminal/kbd.c, terminal/terminal.c,
	util/error.c, viewer/text/form.c (REL_0_10):

	Some casting improvements (fixes build with --enable-debug on
	  amd64): 
	(int) -> (long) 
	  (void *) -> (void *) (long) 

Wed Feb  2 12:58:51 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/watch:

	Update changelog to close bug 293298 (infinite refresh download).
	Add debian/watch file by Hugo Haas.  

Mon Jan 31 21:52:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Shame on me for not adding Morten in the stable branch.  

Mon Jan 31 13:52:12 2005  Laurent Monin <zas@norz.org>:

	* po/fr.po (REL_0_10):

	French translation was updated.  

Mon Jan 31 13:24:11 2005  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS (REL_0_10):

	'14:16 < rtega> you can use debuild -uc -us too' when building a
	Debian package.  

Mon Jan 31 13:11:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS (REL_0_10):

	Propose to run 'fakeroot dpkg-buildpackage -uc -us' when building a
	Debian package.  

Sun Jan 30 22:41:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/Makefile.am (REL_0_10):

	Oops, no README file.  

Sun Jan 30 22:18:10 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: .cvsignore, .vimrc (REL_0_10):

	m33p.  

Sun Jan 30 22:03:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog (REL_0_10):

	Hmm, update the debian package release number.  

Sun Jan 30 22:02:12 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.2.CVS 

Sun Jan 30 21:32:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.2 

Sun Jan 30 21:31:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5 (REL_0_10):

	Another test compile.  

Sun Jan 30 21:11:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/: Makefile.am, ruby/hooks.rb (REL_0_10), ruby/hooks.rb:

	A useless ruby hooks file.  

Sun Jan 30 13:41:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/pl.po (REL_0_10):

	This one translates one untranslated msgid. Patch by Adam
	Golebiowski.  

Sat Jan 29 12:11:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po (REL_0_10):

	Update Danish translation.  

Sat Jan 29 02:42:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Makefile.am (REL_0_10):

	Don't remove acinclude.m4 when making distclean since it requires
	certain dev tools.  

Sat Jan 29 02:27:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5 (REL_0_10):

	Sync with current option tree.  

Sat Jan 29 02:24:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po (REL_0_10):

	Sync/update po files.  

Sat Jan 29 02:17:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* Makefile.am, NEWS, configure.in, debian/Makefile.am,
	debian/README.Debian, debian/changelog, debian/control,
	debian/control.in, debian/copyright, debian/elinks.desktop,
	debian/elinks.docs, debian/elinks.postinst, debian/elinks.preinst,
	debian/elinks.prerm, debian/menu, debian/mime, debian/rules
	(REL_0_10):

	Add Debian package files.  

Sat Jan 29 02:10:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/Makefile.in (REL_0_10):

	This convenient shortcut doesn't seem to be needed. Anyway I expect
	this to fix the 'dist' rule that depends on elinks.pot which was
	first created later.  

Sat Jan 29 02:06:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS, configure.in, m4/ruby.m4, src/scripting/Makefile.am,
	src/scripting/scripting.c, src/scripting/ruby/.cvsignore,
	src/scripting/ruby/.vimrc, src/scripting/ruby/Makefile.am,
	src/scripting/ruby/core.c, src/scripting/ruby/core.h,
	src/scripting/ruby/hooks.c, src/scripting/ruby/hooks.h,
	src/scripting/ruby/ruby.h (REL_0_10):

	Add experimental Ruby scripting back-end.  

Sat Jan 29 02:06:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* m4/ruby.m4:

	file ruby.m4 was initially added on branch REL_0_10.  

Sat Jan 29 01:54:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: elinks-lua.texi, introduction.txt (REL_0_10):

	A few doc updates by zas and me.  

Sat Jan 29 01:51:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c (REL_0_10):

	In move_cursor, scroll the document as many rows or columns as
	necessary rather than only be one row or one column. Patch by Miciah
	and me.  

Sat Jan 29 01:49:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: forms.c, forms.h, html/renderer.c,
	html/renderer.h, html/tables.c, html/parser/forms.c (REL_0_10):

	Rearrange form items so they are added to the correct forms after
	table rendering. The bug occurs because tables are rendered
	column-wise which leads to problems when a form element is in a
	columns greater than its form items. It was introduced in the recent
	form changes. I am unsure if it the changed usage of form->form_num
	is a problem for code that is relying on sequencial values.  The
	patch fixes bug 602.  

Sat Jan 29 01:46:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c (REL_0_10):

	Drop trailing spaces. Patch by zas.  

Sat Jan 29 01:45:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/dialog.h, bfu/inpfield.c, dialogs/edit.c,
	dialogs/options.c, viewer/text/search.c (REL_0_10):

	Various dialog cleanups by Miciah.  

Sat Jan 29 01:44:20 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/task.c, viewer/dump/dump.c (REL_0_10):

	Fix some get_opt_*() calls. Patch by zas and Miciah.  

Sat Jan 29 01:42:52 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/dialogs.c (REL_0_10):

	Fix potential memleak. Patch by zas.  

Sat Jan 29 01:40:34 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/leds.c, ecmascript/ecmascript.c,
	ecmascript/spidermonkey.c, sched/session.c, sched/session.h
	(REL_0_10):

	Introduce a very simple ECMAScript pop-up window blocking mechanism.
	Will show a 'P' in the LED indicators. Off by default.  

Sat Jan 29 01:39:15 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/leds.c, bfu/leds.h, bfu/widget.h, dialogs/menu.c,
	viewer/text/view.c (REL_0_10):

	Add LEDs info dialog. Open it when the LED display is clicked. Patch
	by Miciah, zas and me.  

Sat Jan 29 01:35:14 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/dialogs.c, config/kbdbind.c, config/options.inc,
	dialogs/menu.c, mime/backend/mailcap.c, viewer/text/form.c
	(REL_0_10):

	Improve various message IDs.  

Sat Jan 29 01:33:33 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/: link.c, view.c, view.h (REL_0_10):

	In jump_to_link_number, when in cursor-routing mode, call
	move_cursor to position the cursor on the newly selected link.  
	
	This should fix bug 607, "goto link number doesn't move cursor if
	cursor already moved".  
	
	Patch by Miciah.  

Sat Jan 29 01:31:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c (REL_0_10):

	Add a little help text to the terminal options dialog, which also
	indicates the value of the TERM environment variable. Idea by
	Miciah.  

Sat Jan 29 01:30:58 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c (REL_0_10):

	Wire in the search history also for incremental link text searching.
	With the improved error handling it works quite well, but it also
	reveals some redrawing bugs.  

Sat Jan 29 01:30:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/screen.c (REL_0_10):

	Fix underline rendering when using 256 colors. Now, the char
	'outputter' is more similar to the one used for 16 colors. Hmm, this
	has only bugged the last year or so.  

Sat Jan 29 01:08:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	In init_html_parser, swap the arguments to mirror_css_stylesheet so
	that the default stylesheet is copied to the HTML context. This
	fixes a bug where the stylesheet referenced by
	document.css.stylesheet was not used.  
	
	Only mirror the stylesheet if CSS is enabled. Fixes a leak.  
	
	Patch by Miciah and me.  

Sat Jan 29 01:04:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	The tabindex can be atmost 32767.  

Sat Jan 29 01:02:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/: lua/hooks.c, perl/hooks.c (REL_0_10):

	Fix get-proxy event hooks. @new_proxy_url is initialized to NULL so
	don't check for that. Instead be defensive and sanity check
	pointers.  

Sat Jan 29 01:01:21 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: css/apply.c, css/apply.h, html/parser/parse.c
	(REL_0_10):

	Make css_apply() functionality available as a two-step execution, so
	that applying CSS in start_element() will only require the
	assembling of an element style selector once. Patch by Miciah and
	me.  

Sat Jan 29 00:58:36 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, viewer/text/view.c (REL_0_10):

	Add support for disabling this extended horizontal scheme we
	currently have, so it works more like vertical scrolling. Requested
	by Russ Rowan and he shall have it because he made so many good
	error reports lately ;).  

Sat Jan 29 00:55:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/protocol.c (REL_0_10):

	In generic_external_protocol_handler, do not localise the title and
	the label of the OK button for the unsupported-protocol error box
	twice.  Patch by Miciah.  

Sat Jan 29 00:53:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/: scripting.c, lua/Makefile.am, lua/core.h,
	lua/lua.h (REL_0_10):

	Split out the Lua module part to separate file, so no library
	headers are included.  

Sat Jan 29 00:48:15 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/Makefile.am (REL_0_10):

	Add user.css to EXTRA_DIST.  

Sat Jan 29 00:46:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/: Makefile.am, elinks.conf (REL_0_10):

	Add example configuration file.  

Sat Jan 29 00:45:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/conf.c (REL_0_10):

	Show 'File saving disabled by option' error when saving and -no-home
	was given. Assert that the term to write_config() is always set. We
	get called from do_action() and places passing dlg_data->win->term
	so it should be ok to be less defensive.  

Sat Jan 29 00:44:12 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c (REL_0_10):

	Only add the 'Pass URI ...' option to the tab menu if the session
	has a location so that the '>>' won't be misleading since no submenu
	can be opened.  

Sat Jan 29 00:42:36 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/document.c (REL_0_10):

	Simplify cached_header_dialog() and fix a potential memleak. Patch
	by zas.  

Sat Jan 29 00:41:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c (REL_0_10):

	In delete_bookmark, delete the bookmark from the hash table before
	triggering the bookmark-delete event. Patch by Miciah.  

Sat Jan 29 00:38:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/user.css (REL_0_10):

	Add an example user style-sheet. Patch by Miciah.  

Fri Jan 28 14:19:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/user.css:

	Add Id tag.  

Fri Jan 21 14:23:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/hooks.c:

	Fix ruby logic in last patch. Spotted by Miciah.  

Fri Jan 21 14:11:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/hooks.c:

	Fix get-proxy event hooks. @new_proxy_url is initialized to NULL so
	don't check for that. Instead be defensive and sanity check
	pointers.  

Fri Jan 21 14:05:04 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	erb_module_message(): Rename variables. Fix so that
	ELinks::message() can also be called from the quit hook.  

Thu Jan 20 18:31:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	Rearrange module functions a bit. Fix ELinks::message(). Export
	Kernel::p() hook also as ELinks::p().  

Thu Jan 20 16:40:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	Improve comments. Remove unneded code.  

Thu Jan 20 13:12:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	erb_stdout_p(): Use own string lib and remove quotes from printed
	ruby strings. Pass the resulting string to usrerror() if no
	terminals can be hijacked. usrerror() will output "ELinks: " first
	so prefix messages a "[Ruby]" token.  

Thu Jan 20 09:44:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	Fix exporting of elinks_home. Rename to ELinks::HOME because
	constants should be all upcased.  

Wed Jan 19 16:15:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/core.c:

	Export elinks_home as ELinks::home.  

Tue Jan 18 22:32:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, rules:

	Install the desktop file in /usr/share/applications/. Indent
	comments because it looks more spiffy.  

Tue Jan 18 22:20:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/hooks.c:

	Invoke quit_hook like the other hooks.  

Tue Jan 18 15:12:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/hooks.c:

	... and then also invokel ELinks.quit_hook().  

Tue Jan 18 15:09:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/hooks.c:

	Check for quit_hook in the ELinks module, since I decided that it
	was much more perty to use ELinks.{hook method}.  

Tue Jan 18 15:07:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/: core.c, core.h, hooks.c:

	Use the session event parameter so error messages has a better
	chance at showing up the right place.  

Tue Jan 18 10:30:15 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/: .cvsignore, .vimrc:

	m33p 

Tue Jan 18 10:29:40 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/ruby/: Makefile.am, core.c, core.h, hooks.c,
	hooks.h, ruby.h:

	Add support for ruby scripting. Needs more work but the basics are
	there.  

Thu Jan 13 13:29:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/lua/lua.h:

	Like the recent Perl change, never include scripting library headers
	in the main module.  

Wed Jan 12 14:55:50 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/Makefile.am:

	Remove conffiles.  

Wed Jan 12 03:19:41 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/elinks.desktop:

	Spice up the .desktop file.  

Wed Jan 12 02:46:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Only export CFLAGS if required, so configure can set it properly.  

Tue Jan 11 21:32:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, control, control.in, rules:

	A few fixes for errors reported by lintian. Pass pwd prepended
	DEB_ROOT, doh! 

Tue Jan 11 17:39:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, elinks.prerm:

	Remove www-browser alternative based on patch by Andreas Metzler.
	Add changelog entries for some of the debian bugs that has been
	fixed.  

Tue Jan 11 15:45:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, mime:

	Pass -force-html in the debian/mime mailcap entries so problems with
	viewing files without an extension is fixed. Update changelog also
	with entries for last commit.  

Tue Jan 11 15:34:44 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Remove now obsolete -XChangeLog.orig switch to dh_clean. Don't touch
	install-stamp it is never used. Re-enable dh_installman, it does
	some checks it seems. Remove obsolete outcommented
	dh_{testversion,undocumented,suidregister}. Finally blast some more
	unused dh_*.  

Tue Jan 11 15:29:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/elinks.docs:

	Install all the doc/ files since they are tied together in
	index.txt. Besides we don't have that much that we can afford to be
	choosy. ;) 

Tue Jan 11 14:57:08 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Use DH_ALWAYS_EXCLUDE to avoid CVS, .cvsignore, .vimrc and Makefile*
	files to ever be packaged.  

Tue Jan 11 14:36:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: Makefile.am, rules:

	Move the build-stamp file to debian/. Make distclean remove the
	build-stamp and the build tree directory.  

Tue Jan 11 14:35:09 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/.cvsignore:

	Sort.  

Tue Jan 11 13:35:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, rules:

	Add support for DEB_BUILD_OPTIONS. Cleanup.  

Tue Jan 11 08:02:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, elinks.docs, rules:

	Introduce elinks.docs file and exclude example files using -X
	switch. Makefile and *.patch files doesn't seem to be handled by
	that.  

Tue Jan 11 03:36:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	LEDS are enabled by default so remove configure comment. Cleanup
	failure handling. dh_installmanpage is deprecated and it doesn't
	seem to be necessary to call dh_installman, so left commented out.  

Tue Jan 11 03:19:27 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: changelog, rules:

	Fix deletion of unrelevant files from contrib/.  

Tue Jan 11 01:07:52 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Stupid me. Prepend doc/ to documentation files. ;) 

Tue Jan 11 00:50:59 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/changelog:

	Add entry bumping up the version.  

Tue Jan 11 00:37:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Install the elinks.conf from contrib/.  

Tue Jan 11 00:32:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Install doc/ files relevant to using ELinks.  

Tue Jan 11 00:05:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/Makefile.am:

	The elinks.conf file was moved.  

Tue Jan 11 00:04:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/rules:

	Only remove CVS directories from the packaging directory
	debian/elinks/.  

Tue Jan 11 00:02:54 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: .cvsignore, .vimrc:

	m33p 

Tue Jan 11 00:02:17 2005  Jonas Fonseca <fonseca@diku.dk>:

	* debian/: Makefile.am, README.Debian, changelog, control,
	control.in, copyright, elinks.desktop, elinks.postinst,
	elinks.preinst, elinks.prerm, menu, mime, rules:

	Add debian/ files from the official debian package by Peter Gervai.
	Only change is to install elinks.conf example from contrib/ instead
	of debian/.  

Mon Jan 10 23:54:23 2005  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.conf:

	Add example configuration file.  

Sat Jan  8 23:10:16 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/Makefile.in (REL_0_10):

	Create /locale dir instead of just . Reported by Russ Rowan.  

Fri Jan  7 00:37:07 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/dcigettext.c (REL_0_10):

	Try to declare alloca() with proper types. Should fix problems on
	OpenBSD and NetBSD systems. Reported by Nelson H. F. Beebe.  

Thu Jan  6 00:31:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c (REL_0_10):

	INET_ADDRSTRLEN is not available on some IRIX systems, so define
	them if needed. Reported by Nelson H. F. Beebe.  

Wed Jan  5 05:08:25 2005  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* contrib/user.css:

	Add an example user style-sheet.  

Tue Jan  4 17:17:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.1.CVS 

Tue Jan  4 13:51:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.1 

Tue Jan  4 13:48:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po (REL_0_10):

	Update .po files 

Tue Jan  4 13:33:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5 (REL_0_10):

	Sync with current option tree.  

Tue Jan  4 10:09:04 2005  Laurent Monin <zas@norz.org>:

	* po/fr.po (REL_0_10):

	French translation was resynced with HEAD.  

Tue Jan  4 10:02:55 2005  Laurent Monin <zas@norz.org>:

	* src/scripting/perl/perl.h (REL_0_10):

	Add new perl.h and fix compilation. Backported from HEAD.  

Tue Jan  4 09:53:05 2005  Laurent Monin <zas@norz.org>:

	* src/sched/session.c (REL_0_10):

	Fix bad backport: improve i18n in msg_box().  

Tue Jan  4 09:50:18 2005  Laurent Monin <zas@norz.org>:

	* src/osdep/generic.h (REL_0_10):

	Fully backport alignof() and copy_struct() macros, sync comments
	too.  

Tue Jan  4 09:46:13 2005  Laurent Monin <zas@norz.org>:

	* src/main.c (REL_0_10):

	Alphabetize #include. Backported from HEAD.  

Tue Jan  4 09:43:30 2005  Laurent Monin <zas@norz.org>:

	* src/dialogs/options.c (REL_0_10):

	Use snprintf() and simplify code. Backported from HEAD.  

Tue Jan  4 09:41:46 2005  Laurent Monin <zas@norz.org>:

	* src/bfu/listbox.c (REL_0_10):

	A copy_struct() was not yet backported. Done.  

Tue Jan  4 07:54:49 2005  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Not to forgot to credit all those generous people supplying patches.  

Tue Jan  4 07:53:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po (REL_0_10):

	Update .po files. Merge in updates to fi.po by Kalle Olavi Niemitalo
	and to cs.po by our dear pasky.  

Tue Jan  4 07:52:14 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: css/apply.c, css/stylesheet.c, html/internal.h,
	html/parser.c, html/parser.h, html/renderer.c, html/tables.c,
	html/parser/forms.c, html/parser/link.c, html/parser/parse.c
	(REL_0_10):

	Damn cvsps were not very good at joining patches. Missing part of
	CSS cleanup by zas.  

Tue Jan  4 01:56:23 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: fr.po, pl.po (REL_0_10):

	Merge updates to Polish translation by adamg and to the French
	translation by zas.  

Tue Jan  4 01:53:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po (REL_0_10):

	Update remaining part of (yes it slipped into the last patch) Danish
	translation.  

Tue Jan  4 01:51:32 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/ecmascript/spidermonkey.c (REL_0_10):

	Ok, I should probably just go to sleep. Apply patch that fixes badly
	formatted i18n strings.  

Tue Jan  4 01:50:46 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/da.po, src/ecmascript/spidermonkey.c (REL_0_10):

	Oops, revert part of last patch.  

Tue Jan  4 01:49:34 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/ecmascript/spidermonkey.c (REL_0_10):

	The MSGBOX_FREE_TEXT flag will keep the text from being gettexted
	here, right zas? 

Tue Jan  4 01:19:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/msgbox.c, bfu/msgbox.h, ecmascript/spidermonkey.c,
	scripting/lua/core.c (REL_0_10):

	Add a new flag for msg_box() to indicate i18n of title only. It
	helps to fix an i18n issue with window_alert() and
	alert_lua_error(). Patch by zas.  

Tue Jan  4 01:08:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: main.c, protocol/http/http.c, protocol/http/http.h
	(REL_0_10):

	Make HTTP blacklist and proxy auth cleanup more local. Patch by zas
	and me.  

Tue Jan  4 01:07:13 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c (REL_0_10):

	Compilation fix by zas.  

Tue Jan  4 01:00:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c (REL_0_10):

	Merge Miciahs bookmark updates.  

Tue Jan  4 00:53:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/: string.c, string.h (REL_0_10):

	Mark the source parameter for add_to_string constant to fix a
	compilation error with SpiderMonkey.  

Tue Jan  4 00:50:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.c, dialogs/info.c, dialogs/status.c,
	document/renderer.c, document/html/renderer.c,
	protocol/file/file.c, protocol/ftp/ftp.c, protocol/http/http.c,
	sched/connection.c, sched/download.c, scripting/lua/core.c,
	viewer/dump/dump.c (REL_0_10):

	Alphabetize #includes.  

Tue Jan  4 00:48:49 2005  Jonas Fonseca <fonseca@diku.dk>:

	* config/m4/gettext.m4, m4/gettext.m4 (REL_0_10):

	Inform about NLS support in features.log 

Tue Jan  4 00:45:44 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c (REL_0_10):

	get_form_info(): Improve i18n in favour of a bit more complicated
	code.  

Tue Jan  4 00:42:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/leds.c, bookmarks/dialogs.c, config/cmdline.c,
	config/options.inc, cookies/cookies.c, dialogs/document.c,
	dialogs/options.c, document/css/css.c, ecmascript/ecmascript.c,
	ecmascript/spidermonkey.c, formhist/dialogs.c, formhist/formhist.c,
	mime/backend/mailcap.c, mime/backend/mimetypes.c, protocol/user.c,
	protocol/file/file.c, protocol/ftp/ftp.c, protocol/http/codes.c,
	protocol/nntp/codes.c, protocol/rewrite/rewrite.c, sched/download.c
	(REL_0_10):

	Merge all the various option documentation updates. Patch by pasky
	and me.  

Tue Jan  4 00:32:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/listbox.c, bfu/menu.c, config/dialogs.c,
	document/options.c, document/css/parser.c,
	document/css/stylesheet.c, document/html/frames.c,
	document/html/renderer.c, document/html/parser/stack.c,
	document/sgml/parser.c, lowlevel/connect.c, osdep/generic.h,
	sched/task.c, terminal/event.c, terminal/kbd.c, util/box.h,
	viewer/text/view.c, viewer/text/vs.c (REL_0_10):

	Use fast struct copying thru wrapper copy_struct(). Patch by zas and
	me.  

Tue Jan  4 00:29:26 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c (REL_0_10):

	Mark a string no-c-format. Patch by adamg.  

Tue Jan  4 00:28:04 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c (REL_0_10):

	When looking for the --> inside of <script> (do_html_script()),
	check if we didn't go past eof. Probably fixes crash on
	intellectualconservative.com reported by Apu.  

Tue Jan  4 00:27:45 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in (REL_0_10):

	-dump dumps a document, not a URI. Patch by Miciah.  

Tue Jan  4 00:26:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/hash.c (REL_0_10):

	Squashed another stupid non-functional inlining (get_hash_item()
	this time) introduced by who-knows-who who-knows-when. Patch by
	pasky.  

Tue Jan  4 00:26:00 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.h (REL_0_10):

	If I try "links -dump www.tromsø.no" it finds the correct ACE-name 
	("www.xn--troms-zua.no"), but the virtual-server this domain is
	hosted on 
	(venus.gan.no), requires the ACE-name in the "Host:" header. Elinks
	incorrectly sets this header to www.tromsø.no.  
	
	This patch by Gisle Vanem solves the issue.  

Tue Jan  4 00:25:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/dialogs.c (REL_0_10):

	Introduce add_cookie_info_to_string() which adds everything except
	the server attribute. Use it for accept dialogs to increase the
	reuse of i18n strings.  

Tue Jan  4 00:24:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: document.c, forms.c, html/renderer.c (REL_0_10):

	Make done_form() also free the form struct.  

Tue Jan  4 00:24:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/table.c (REL_0_10):

	Limit long lines.  

Tue Jan  4 00:23:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/plain/renderer.c (REL_0_10):

	Reformat comments. (in case we need to back port fixes) 

Tue Jan  4 00:23:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/inpfield.c (REL_0_10):

	Only handle clicks outside the input line (introduced in 1.189 ->
	1.190) if CONFIG_MOUSE.  

Tue Jan  4 00:21:55 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c (REL_0_10):

	'appy naw yer *hick*. Patch by pasky.  

Tue Jan  4 00:21:31 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.c (REL_0_10):

	In update_options_visibility, use get_opt_bool instead of
	get_opt_rec. Patch by Miciah.  

Tue Jan  4 00:21:01 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/select.c (REL_0_10):

	In the name of not so many freaking i18n strings use format string
	introduced in last patch.  

Tue Jan  4 00:20:35 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/interlink.c (REL_0_10):

	Make generic i18n string for reporting interlinking failures.  

Tue Jan  4 00:18:56 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/css/stylesheet.c (REL_0_10):

	Reduce code redundancy, introducing add_selector_property(). Patch
	by zas.  

Tue Jan  4 00:18:22 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c (REL_0_10):

	Do not print feature summary when printing --help.  

Tue Jan  4 00:17:57 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/modules/version.c (REL_0_10):

	Always put build info in the full static version. We compile it in
	anyway.  

Tue Jan  4 00:17:28 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/connect.c (REL_0_10):

	Fix potential bug: memset() the size of the struct not the size of
	the pointer. Patch by zas.  

Tue Jan  4 00:15:44 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/generic.h (REL_0_10):

	Actually add the alignof() macro again.  

Tue Jan  4 00:14:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/math.c (REL_0_10):

	Remove math.c 

Tue Jan  4 00:11:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/dcigettext.c (REL_0_10):

	Also move alignof() to the compiler area.  

Tue Jan  4 00:07:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: util/Makefile.am, util/math.h, viewer/text/link.c
	(REL_0_10):

	Simplify generic swap_value() to be a macro. It might fix a problem
	on MacOS X reported by Phillip Pi and I never did like the previous
	cast-abusing implementation.  

Tue Jan  4 00:06:18 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c (REL_0_10):

	document.browse.accesskey.auto_follow is a boolean option. Patch by
	zas.  

Tue Jan  4 00:05:48 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/group.c (REL_0_10):

	group_layouter(): set minimal width of dialog to at least the length
	of title. Patch by zas.  

Tue Jan  4 00:01:02 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/osdep.c (REL_0_10):

	Fix building by including dummy mouse handlers when CONFIG_MOUSE=no
	and CONFIG_GPM=yes. Reported by miernik.  

Tue Jan  4 00:00:05 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/osdep.c (REL_0_10):

	Fix bug introduced in (1.98->1.99) when OS/2 code was split out and
	yet again allow OS shell to be opened under the xwin environment.  

Mon Jan  3 23:58:47 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	dialogs/options.c, dialogs/options.h, osdep/osdep.c, osdep/osdep.h,
	osdep/os2/os2.c, sched/action.c, terminal/kbd.c (REL_0_10):

	Merge support for resizing X terminal emulators. Patch by zas and
	me.  

Mon Jan  3 23:58:06 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/libintl.c (REL_0_10):

	Fix merging of remaining fixes for _() when NLS is disabled.  

Mon Jan  3 23:36:42 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/screen.c (REL_0_10):

	creen_driver(): Still use memcmp() but fix the bug by comparing 'len
	+ 1' bytes. Idea by Miciah.  

Mon Jan  3 23:35:30 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c (REL_0_10):

	free_uri_list(): Just in case, zero the uri_list->size.  

Mon Jan  3 23:33:11 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/libintl.h (REL_0_10):

	Merge remaining fixes for _() when NLS is disabled.  

Mon Jan  3 23:23:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/: scripting.c, perl/Makefile.am, perl/core.h
	(REL_0_10):

	Stupid perl headers define _() which causes compile errors when
	included after libintl.h, so put the perl module declaration in its
	own header file. Reported by Russ Rowan.  

Mon Jan  3 23:20:43 2005  Jonas Fonseca <fonseca@diku.dk>:

	* po/: Makefile.in, README (REL_0_10):

	Make it possible to update only one .po file by passing PO=<lang> or
	PO=<lang>.po to make update-po.  Patch by Zas and me.  

Mon Jan  3 23:01:37 2005  Jonas Fonseca <fonseca@diku.dk>:

	* test/ecmascript/ontest.html (REL_0_10):

	Improve a bit. Patch by zas.  

Mon Jan  3 22:46:03 2005  Jonas Fonseca <fonseca@diku.dk>:

	* README, doc/bookmarks.txt, doc/color-model.txt,
	doc/ecmascript.txt, doc/events.txt, doc/exmode.txt,
	doc/feedback.txt, doc/hacking.txt, doc/index.txt,
	doc/introduction.txt, doc/mailcap.txt, doc/marks.txt,
	doc/remote.txt, doc/small.txt, doc/tabs.txt, doc/terminal.txt,
	doc/urlprefixes.txt, src/README (REL_0_10):

	Merge doc updates from trunk. Note this is a set of all patches
	since the branching of REL_0_10. Patch by Miciah, pasky, zas and me.  

Mon Jan  3 08:12:57 2005  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* doc/terminal.txt:

	Add some articles and delete some others.  

Mon Jan  3 07:12:21 2005  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* doc/terminal.txt:

	Punctuation, whitespace, and capitalisation fixes.  

Mon Jan  3 03:40:51 2005  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/perl/perl.h:

	Stupid perl headers define _() which causes compile errors when
	included after libintl.h, so put the perl module declaration in its
	own header file. Reported by Russ Rowan.  

Sun Jan  2 12:38:29 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/terminal.txt:

	Add hints from Miciah's reply to 'How do I enable the pretty line
	graphics and colors under gnu/screen'.  

Sun Jan  2 12:21:25 2005  Jonas Fonseca <fonseca@diku.dk>:

	* doc/terminal.txt:

	Split out terminal setup docs to terminal.txt like pasky requested.  

Mon Dec 27 00:02:08 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/screen.c (REL_0_10):

	Fix terminal driver comparison triggered when comparing 'xterm'
	against 'xterm-color'. This would cause no driver to be initialized
	and more important the term->spec->change_hook to be NULL.  

Sun Dec 26 20:25:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/libintl.c (REL_0_10):

	Remove extern keywords causing warnings.  

Sun Dec 26 20:15:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS, src/intl/gettext/libintl.c, src/intl/gettext/libintl.h
	(REL_0_10):

	This patch fixes a bug where the static current_charset variable of
	the static function _() was duplicated in every translation unit
	that called it, resulting in unnecessary or possibly skipped calls
	to bind_textdomain_codeset.  
	
	I also renamed the variable, in order to avoid clashes; but perhaps
	that was too paranoid: libintl.c already defines current_language,
	which is just as likely to clash.  
	
	Patch by Kalle Olavi Niemitalo.  

Sun Dec 26 19:57:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/fi.po (REL_0_10):

	More translation updates by Kalle Olavi Niemitalo.  

Sun Dec 26 19:12:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS (REL_0_10):

	Hmm, thought I commited this. Kalle Olavi Niemitalo updates the
	Finnish translation.  

Sun Dec 26 18:59:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: mime/backend/default.c, protocol/rewrite/rewrite.c
	(REL_0_10):

	Mark gettexted strings containing internal c-format fragments with
	/* xgettext:no-c-format */. Fix by Kalle Olavi Niemitalo.  

Sat Dec 25 14:28:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/introduction.txt (REL_0_10):

	Write about managers.  

Sat Dec 25 13:18:23 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/fi.po (REL_0_10):

	I have been using ELinks from CVS and fixing up its fi.po every now
	and then.  Here are the changes I have made so far.  Not all menu
	items currently have hot keys (~).  That will have to be corrected
	later.  
	
	Update by Kalle Olavi Niemitalo.  

Fri Dec 24 17:20:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in (REL_0_10):

	0.10.0.CVS 

Fri Dec 24 17:01:45 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10.0 

Fri Dec 24 16:58:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	Update .po files 

Fri Dec 24 14:55:17 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/tables.c:

	Moved draw_table_bad_html() before rendering the table itself. This
	makes the tables with out-of-order bad html appear normal again
	(mostly it's at the start of the table and it's drawn so now) and
	fixes the issue with broken forms on some pages (<table><form><tr>).
	OTOH it reopens bug 432 (<caption> handling), which is less grave
	than this, though. It's not like I do it this way just because we
	are a little in hurry now - I have no clue how to fix up this all
	without rewriting the whole table processing to be non-perverse and
	in-order with the rest of the HTML parsing. This commit should
	unblock 0.10.0 release.  

Fri Dec 24 14:09:11 2004  Petr Baudis <pasky@ucw.cz>:

	* features.conf:

	CONFIG_LEDS by default on now. Minimal overhead, useful stuff.  

Fri Dec 24 14:07:32 2004  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, contrib/perl/hooks.pl:

	Some meaningful Perl hooks by Apu aka Russ Rowan <rrowan@dandy.net>.  

Fri Dec 24 13:59:47 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	Reverted Miciah's 1.515 adding a link's numeric prefix as normal
	link text. It induces some link offsets weirdness requiring complex
	(and quite horribly-seeming) fixes all over the map and so.
	Hopefully, you will meet with it in 0.10.1.  

Fri Dec 24 13:54:24 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/README:

	LXR is not keen on README headlines in README files. README -> Guide 

Fri Dec 24 02:41:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/libintl.c, configure.in:

	Remove unmaintained leet translation. Requested by zas.  

Fri Dec 24 02:37:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/event.c:

	Fix bad usage of _() in ERROR() messages. Instead use gettext().
	This and last patch by Gisle Vanem.  

Fri Dec 24 02:34:48 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/connection.h, terminal/color.c:

	Workaround namespace clashes with Windows headers.  

Fri Dec 24 02:33:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS, src/util/lists.h:

	Remove ending ';' for debug version of LIST_HEAD() that caused a
	parse error in MSVC. Patch by Gisle Vanem.  

Thu Dec 23 21:50:50 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Get rid of these awful macros and drop all these gotos: code is now
	cleaner imho.  

Thu Dec 23 02:45:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc3.CVS 

Thu Dec 23 02:26:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc3 

Thu Dec 23 02:25:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	Sync .po files.  

Thu Dec 23 02:23:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Thu Dec 23 02:21:38 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/introduction.txt:

	A few ideas added.  

Wed Dec 22 23:04:23 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Many minor fixes.  

Wed Dec 22 21:37:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS:

	This is kind of a history file, so adding the codenames for branches
	seem appropriate.  

Wed Dec 22 21:29:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/README:

	Some ecmascript is done. ELusive is and will be supplied by
	document/.  

Wed Dec 22 20:36:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/introduction.txt:

	Add a hints section where command prefixing can be mentioned.  

Wed Dec 22 12:49:41 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/conf.c:

	Change an else-if after an if-block that ends in a return to an if.  

Wed Dec 22 12:47:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/conf.c:

	Delete a superfluous NULL-pointer check in parse_set.  

Wed Dec 22 04:01:13 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Fix some indentation that was messed up by the last
	commit/reversion.  

Tue Dec 21 23:38:34 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: Makefile.am, index.txt:

	Advertize the introduction.  

Tue Dec 21 23:34:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/introduction.txt:

	Some general entry point for new users. Still a work in progress.
	Please add ideas for things to document after the b33p.  

Tue Dec 21 22:44:57 2004  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Chain local CGI scripts' stderr to ELinks' implicit stderr. Enables
	i.e. logging of mangle hexcodes and whatever else.  

Tue Dec 21 22:38:06 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/dcigettext.c:

	Only declare alloca() #ifndef HAVE_ALLOCA instead of #ifndef alloca.
	Fixes warning on FreeBSD.  

Tue Dec 21 21:45:22 2004  Laurent Monin <zas@norz.org>:

	* src/intl/gettext/loadmsgcat.c:

	Fix a typo introduced in last patch by Jonas.  

Tue Dec 21 21:11:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/pl.po:

	Update by Witold.  

Tue Dec 21 15:11:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/localealias.c:

	Include util/memory.h 

Tue Dec 21 15:08:21 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/localealias.c:

	Use fmem_(alloc|free) instead of alloca directly. Fixes warning on
	FreeBSD.  

Tue Dec 21 15:05:50 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/plural.c:

	Oops. Revert stupid locally generated plural.c updates.  

Tue Dec 21 15:04:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/: loadmsgcat.c, plural.c:

	Use fmem_(alloc|free) instead of alloca directly. Fixes warning on
	FreeBSD.  

Tue Dec 21 14:07:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/index.txt:

	elinks.keys -> elinkskeys 

Tue Dec 21 13:58:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/index.txt:

	Fixups.  

Tue Dec 21 13:55:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/index.txt:

	Squeeze in the man pages after the user guide.  

Tue Dec 21 13:29:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/README:

	Make README only a README.  

Tue Dec 21 13:18:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: Makefile.am, index.txt, mailcap.txt:

	mailcap.html -> mailcap.txt, and update it a bit. It still needs
	heavy rewrite.  

Tue Dec 21 13:13:48 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	The data protocol is not a remote protocol so remove it. Requested
	by Miciah.  

Tue Dec 21 07:34:41 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Factor code out from add_global_history_item to the new
	add_item_to_global_history.  

Tue Dec 21 07:30:47 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Factor code out from add_global_history_item into the new
	cap_global_history.  

Tue Dec 21 07:26:17 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Factor code out from delete_global_history_item into the new
	done_global_history_item.  

Tue Dec 21 07:24:36 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Factor code out from delete_global_history_item into the new
	remove_item_from_global_history.  

Tue Dec 21 07:22:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Consistently use the name history_item for parameters and local
	avariables of the type struct global_history_item.  

Tue Dec 21 01:53:19 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/table.c:

	Do those nice exponential table allocations (bug 571 of Jonas) only
	up to 256kb and then go on only in steps of 256kb in the
	reallocations - well, you get the idea. This commit is officially
	dedicated to Ms. Thelma, future master coder of ELinks, currently
	entering the apprentice status. Let's hope it doesn't contain much
	bugs (the commit, not our new apprentice).  

Mon Dec 20 23:52:31 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	When settings the colors for active link, invert the colors (if
	applicable) even if custom colors were specified. Hopefully fixes
	bug 586 as reported by Apu.  

Mon Dec 20 23:51:25 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/: Makefile.am, math.c, math.h:

	Introduced swap_values() macro, which does exactly that.  

Mon Dec 20 21:21:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/dump/dump.c:

	Bahh. Dumb dump.  

Mon Dec 20 21:19:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Revert (1.384 -> 1.385). lindi- reported that setting the user agent
	string to something involving "Mozilla/X.0" makes the server return
	a different page that is correctly renderered.  

Mon Dec 20 20:38:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/dump/dump.c:

	The -dump cmdline option is boolean. Reported by lindi-.  

Mon Dec 20 20:24:12 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	The SSL and gzip combination is a killer for big documents, you just
	always get a load of garbage. It is triggerable at 
	https://www.christianbook.com/Christian/Books/place_order and filed 
	as bug 592 and bug 524. For now work around the problem by never
	accepting gzip for HTTPS connections.  

Mon Dec 20 13:40:51 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Change an assertion to a normal bounds-check to prevent an assertion 
	failure with _^H_.  

Mon Dec 20 13:13:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Oops. s/default_clink/default_link/ 

Mon Dec 20 12:12:39 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/document.h:

	Document the struct color_pair color member of struct link.  

Mon Dec 20 12:06:28 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Altho it makes absolutely no difference, initialise the link's 
	foreground colour to the normal link colour instead of the vlink
	colour in add_document_link.  

Mon Dec 20 12:03:06 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	In print_document_link, drop the local variable color and use 
	link->color instead, giving the link the proper colours as a
	side-effect. (The correct colours were being put on the canvas, the
	link structure just did not reflect this.) 

Mon Dec 20 11:59:19 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	In print_document_link, save the link returned by check_link_word.  

Mon Dec 20 11:56:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Minor simplification.  

Mon Dec 20 11:56:04 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Fix a major typo in the last commit.  

Mon Dec 20 11:55:21 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Change check_link_word to return the link returned by
	add_document_link or NULL instead of an integer.  

Mon Dec 20 11:50:51 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Simplify check_link_word by re-arranging some checks.  

Mon Dec 20 11:48:12 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Return 0 from check_link_word if add_document_link fails.  

Mon Dec 20 11:41:22 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Use doc_opts->default_(v|bookmark_|)link instead of get_opt in
	print_document_link.  

Mon Dec 20 11:22:11 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/: options.c, options.h, html/parser.c,
	html/parser.h, html/parser/link.c:

	Add color_t default_image_link to struct document_options and
	color_t image_link to struct text_attrib and use them instead of
	calling get_opt in the middle of the HTML parser.  

Mon Dec 20 11:07:31 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/: options.c, options.h, dom/renderer.c,
	html/parser.c, html/parser.h, html/parser/link.c:

	Add color_t default_bookmark_link to struct document_options and
	color_t bookmark_link to struct text_attribute and use them instead
	of calling get_opt in the different document parsers.  

Mon Dec 20 08:49:26 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/renderer.c:

	Add a link's numeric prefix as normal link text. Now, a given link's 
	prefix is included in its points.  
	
	This involves changing put_link_number not to hide from put_chars 
	the fact that it is currently adding a link and changing put_chars 
	not to fall into infinite recursion with it calling put_link_number 
	and put_link_number calling put_chars.  
	
	User-visible effects: 
	
	 - Clicking a link's prefix will now select the link.  
	 - Selecting a link will now highlight its prefix.  

Mon Dec 20 00:29:30 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Compilation fixes for FreeBSD related to is_ip_address().  

Mon Dec 20 00:08:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/sgml/html/html.c:

	Remove unused variable.  

Sun Dec 19 23:38:53 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc2.CVS 

Sun Dec 19 23:23:58 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc2 

Sun Dec 19 23:21:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: cs.po, da.po, de.po, el.po, es.po, et.po, fi.po, fr.po,
	gl.po, hr.po, hu.po, id.po, is.po, it.po, lt.po, nl.po, no.po,
	pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po, sv.po, tr.po, uk.po:

	Sync .po files.  

Sun Dec 19 23:16:18 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po:

	Sync .po files.  

Sun Dec 19 22:32:32 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/parse.c:

	If ECMAScript, auto-linkify pair elements which have the onClick
	property.  

Sun Dec 19 19:28:29 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Plug another security hole. Let the script look only at frames whose
	security context (that is, hostname) is same as his.  

Sun Dec 19 18:04:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: cache/cache.c, cache/cache.h, document/renderer.c,
	document/css/css.c, sched/session.c:

	Introduce follow_cached_redirects() and get_redirected_cache_entry()
	which based on Miciahs MAX_REDIRECT restricted cache redirect
	looping will chase the list of cache entries to find the resulting
	one.  
	
	Replace potentially bad while (cache->redirect) loops to use 
	get_redirected_cache_entry() and make check_incomplete_redirects()
	use follow_cached_redirects() as a backend.  

Sun Dec 19 17:46:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/renderer.c:

	My explanation of bug 533.  

Sun Dec 19 17:15:24 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Sun Dec 19 17:09:56 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Dec 19 17:02:51 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	Zas' fix for bug 558 is correct.  

Sun Dec 19 17:01:22 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	Some hopefully finishing touches of this years elinks(1).  

Sun Dec 19 16:53:49 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Serve navigator.language only if ENABLE_NLS. Spotted by Apu.  

Sun Dec 19 16:47:25 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/form.h:

	Kill trailing whitespaces.  

Sun Dec 19 16:43:58 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fixed document.cookie accessing leak.  

Sun Dec 19 16:42:26 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in, src/config/cmdline.c:

	Fix description of -no-home.  

Sun Dec 19 16:23:22 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/: renderer.c, tables.c, parser/stack.c:

	Fix bug 578 (invalid accesses of html_context.part in
	kill_html_stack_item(), as reported by Apu Nahasapeemapetilon's
	Valgrind). We must make sure that before done_html_parser*()
	html_context.part is still alive and correct.  

Sun Dec 19 16:15:39 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Fixed showing of checkbox/radio value in get_form_info().  

Sun Dec 19 16:06:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	I never did like that :// entangling. Elaborate more freely about
	supported protocol and mention even the new ones.  

Sun Dec 19 16:06:25 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	It's nice not to let any malicious webmaster retrieve any file from
	client's machine readable by the user. Fixed this tiny security
	issue by not letting ECMAScript change file inputs' input.value.  

Sun Dec 19 16:05:07 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Let input.checked value be touched only when input is checkbox or
	radio. When changing input.value, set fs->state only if it's text,
	password or file.  

Sun Dec 19 16:03:19 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Another fierce attempt to destabilize. Even checkboxes, radios,
	submits, images, resets, buttons and hiddens have allocated value
	now. That enables ECMAScript to meaningfully change it.  

Sun Dec 19 15:55:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	Add new options since 23th Dec 2003 ;) and improve the highlighting.  

Sun Dec 19 15:54:53 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c:

	Alphabetize cmdline options. Improve the description of -no-home.  

Sun Dec 19 15:54:50 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	Surprisingly, some people don't compile ECMAScript in.  

Sun Dec 19 14:56:41 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	Fixed current_link_evhook() to always return a value.  

Sun Dec 19 14:50:57 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	When setting input.value, set fs->state to its length instead of
	tinkering with vpos and vypos, which will be (hopefully) adjusted
	automagically.  

Sun Dec 19 14:49:26 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: ecmascript/ecmascript.c, ecmascript/ecmascript.h,
	ecmascript/spidermonkey.c, ecmascript/spidermonkey.h,
	viewer/text/link.c:

	Introduced ecmascript_eval_boolback(), used for event handlers and
	handled for onClick event evaluation.  

Sun Dec 19 14:37:42 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/error.c:

	S_NO_JAVASCRIPT -> JavaScript support is not enabled.  

Sun Dec 19 14:31:34 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Zero vpos and vypos when changing input value.  

Sun Dec 19 14:24:24 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	mem_free_set() takes an address of the first pointer. Right.  

Sun Dec 19 14:13:45 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: ecmascript/spidermonkey.c, protocol/http/http.c:

	Only set navigator.language if protocol.http.accept_ui_language.  

Sun Dec 19 13:59:17 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fixed user-agent string leaking.  

Sun Dec 19 13:53:55 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	That diabolic thing's full name is Microsoft Internet Explorer.  

Sun Dec 19 13:53:02 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fixed few other tiny mistakes. Did I really make the last compile
	test so long ago? 

Sun Dec 19 13:50:36 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Killed another unused variable.  

Sun Dec 19 13:50:10 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Check explicitly for $no_x value not being yes. I feel better that
	way. Inspired by ugenn.  

Sun Dec 19 13:49:00 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Woohoo. Newlines.  

Sun Dec 19 13:47:45 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Basic implementation of the navigator object.  

Sun Dec 19 13:10:33 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	input.value is string, not boolean.  

Sun Dec 19 13:09:52 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Introduced form_elements class, which contains form.elements. Very
	similar to document.forms. Perhaps we could do with some generic way
	to handle these collections, we'll need more soon.  

Sun Dec 19 12:32:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, protocol/protocol.c:

	Guard you grill, because the last protocol options is hereby placed
	in protocol land.  

Sun Dec 19 12:25:58 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, protocol/protocol.c, protocol/user.c,
	protocol/user.h:

	Modularaize the User protocol thingy and move options to the new
	module.  

Sun Dec 19 12:17:30 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Implemented form.length.  

Sun Dec 19 12:17:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: file/file.c, http/http.c:

	Make HTTP and File option info static.  

Sun Dec 19 12:08:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, protocol/file/file.c:

	Move file options to the file module.  

Sun Dec 19 12:04:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: protocol.c, file/file.c, file/file.h:

	Modularize the file protocol.  

Sun Dec 19 11:42:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fold forms.<moo> resolving code to forms_namedItem() call.  

Sun Dec 19 11:32:20 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Oops, remove forgottten debug print.  

Sun Dec 19 11:31:41 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	DARN. Implement value_to_jsval() for JSPT_INT. I was debugging this
	for half an hour and it just isn't getting converted! 

Sun Dec 19 11:27:10 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	input.max_length -> input.maxLength 

Sun Dec 19 11:26:48 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Bah. Define properties of objects form and forms.  

Sun Dec 19 11:26:12 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Support for document.forms[0], making forms to behave like a real
	array.  

Sun Dec 19 11:19:27 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/vs.c:

	gcc needs an AI 

Sun Dec 19 11:18:31 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/vs.c:

	Handle srcfs->form_view being NULL in copy_vs() properly. Fixed
	crashes i.e. on marks.  

Sun Dec 19 11:17:34 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/vs.c:

	Simpliy 

Sun Dec 19 10:41:04 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.c:

	Killed evil inlines.  

Sun Dec 19 10:38:25 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.h:

	Predeclare squeezastring() as static.  

Sun Dec 19 10:05:56 2004  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Make @accept_charset regular normally allocated pointer. Fixed case
	of failed allocation.  

Sun Dec 19 10:04:53 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.h:

	Introduced squeezastring() which does memacpy(string->source,
	string->length).  

Sun Dec 19 04:46:21 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Use memcpy instead of strcpy in init_accept_charset as we already 
	have the length of the source string.  

Sun Dec 19 02:51:22 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Remove a stale comment that accept_charset is not freed until
	exit().  

Sun Dec 19 02:49:29 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Reduce indentation in init_accept_charset.  

Sun Dec 19 02:46:24 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Add a module de-initialisation hook that frees accept_charset.  
	
	This should make Valgrind happy--no longer do we 'leak' that one
	string.  

Sun Dec 19 02:38:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Factor the initialisation of accept_char out from http_send_header 
	into the new init_accept_charset.  

Sun Dec 19 02:32:01 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/http/http.c:

	Move static unsigned char *accept_char from http_send_header to the
	global scope.  

Sun Dec 19 02:27:33 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: config/options.inc, protocol/http/http.c:

	Move HTTP option definitions to the HTTP module.  

Sun Dec 19 02:21:13 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/: protocol.c, http/http.c, http/http.h:

	Give HTTP a struct module.  

Sun Dec 19 02:08:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Remove another old MIME related compatibility alias added 2003-05-06
	in 0.5pre1.CVS.  

Sun Dec 19 02:04:17 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	The forms array is numbered from 0, not 1 

Sun Dec 19 01:51:56 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/ecmascript.c:

	In ecmascript_reset_state(), set all the cached ecmascript objects
	to NULL too. Fixes crash on Google reload.  

Sun Dec 19 01:47:17 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: bookmarks/bookmarks.c, mime/backend/default.c,
	mime/backend/mimetypes.c, protocol/protocol.c,
	protocol/finger/finger.c:

	Include modules/module.h.  

Sun Dec 19 01:41:48 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fixed invalid usage of get_form_object() which would make form to
	have forms as its parent, not document. Bugzilla now doesn't crash
	it and the quick search form gets autofocus.  

Sun Dec 19 01:27:31 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Support for document.forms.<formname>. Bugzilla now gets autofocus
	on the quick search form. It crashes along the way, but that's life.  

Sun Dec 19 01:24:10 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Get rid of an extremely suspicious DOUBLE_TO_JSVAL().  

Sun Dec 19 01:20:41 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/mime/backend/mailcap.c:

	Remove old mailcap compatibility aliases added 2003-05-07 during
	0.5pre0.CVS. Suggested by pasky an Miciah.  

Sun Dec 19 01:15:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/forms.h, document/html/renderer.c,
	viewer/text/form.c, viewer/text/form.h, viewer/text/vs.c:

	Bind struct form and struct form_view together by form_num instead
	of direct reference. This makes it waste more time and eliminates
	some crashing possibilities.  

Sun Dec 19 01:10:55 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/renderer.c:

	Really fixed that horrible thing which has irritated me since long
	but I never really got to do it.  

Sun Dec 19 01:01:53 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	Call write_bookmarks at the end of bookmark_write_hook.  

Sun Dec 19 00:57:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/cookies/cookies.c, src/protocol/uri.c,
	src/protocol/uri.h:

	Introduce is_ip_address() that uses inet_pton() as backend.  Use it
	in is_domain_security_ok() to reject evil plots where the alias
	127.1 domain-matches 99.54.127.1. Idea from Mozilla.  

Sun Dec 19 00:51:34 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/hacking.txt:

	Few words on document vs document_view vs view_state.  

Sun Dec 19 00:17:54 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/forms.h, ecmascript/spidermonkey.c,
	viewer/text/form.c, viewer/text/form.h, viewer/text/vs.c,
	viewer/text/vs.h:

	Introduced struct form_view, which is document_view-specific
	equivalent for struct form. Moved ECMAScript objects to struct
	form_view and struct form_state.  

Sat Dec 18 23:05:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c, test/malicious_uris.html:

	check_malicious_uri(): Chop trailing dots before checking the TLD.
	Now the whole thing doesn't go up in flames anymore.  

Sat Dec 18 22:42:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* test/malicious_uris.html:

	Test cases for malicious URIs.  

Sat Dec 18 21:43:42 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.inc:

	Typo fix.  

Sat Dec 18 21:38:09 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/task.c:

	Minor style touches on the malicious URI warning.  

Sat Dec 18 21:37:13 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/task.c:

	unambiguous_uri -> malicious_uri 

Sat Dec 18 20:45:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, sched/task.c:

	Try to fix bug 382 by alerting the user about misleading and
	maliciously crafted URIs. It is optional via
	document.browse.links.warn_malicious; on by default.  

Sat Dec 18 20:36:48 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	input's parent is form, not input ;-) 

Sat Dec 18 20:31:58 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/forms.c, document/forms.h,
	ecmascript/spidermonkey.c:

	Implemented HTMLInputElement DOM object (covers few original
	JavaScript objects). Reachable through form.<inputname> only now.  

Sat Dec 18 19:53:39 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Just kill document.html.expand_table_columns.  

Sat Dec 18 19:46:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS:

	s/typeahead text searching/incremental searching/ as someone
	suggested on #elinks.  

Sat Dec 18 19:22:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: cache/cache.c, cache/cache.h, sched/session.c,
	sched/task.c:

	Replace the fix for bug 559 with a more localized one, since it
	caused problems with displaying download errors, reported by zas.
	Now session_is_loading() will use a new cache_entry_is_valid()
	function to explicitly check if download->cached can be used before
	passing it to check_incomplete_redirects().  Hella ugly but I don't
	want to waste more valuable time debugging this load of crap. I
	might end up starting to rewrite it and I don't think that will be 
	´ealthy at this point.  

Sat Dec 18 19:12:11 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/download.c:

	More is_in_progress_state() usage.  

Sat Dec 18 17:47:09 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Dec 18 16:17:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/: tables.c, parser/table.h:

	Add table->caption_height member that is calculated when calling
	get_table_heights() by new get_table_caption_height() which is a
	crude duplication of draw_table_caption(). Fixes bug 572.  

Sat Dec 18 15:54:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/forms.c:

	Some trailing space.  

Sat Dec 18 15:33:06 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: Makefile.am, index.txt, tabs.txt:

	Document the wonders of tabbed browsing.  

Sat Dec 18 15:13:02 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/forms.h, ecmascript/spidermonkey.c:

	Generate the form object only once per form, caching it in
	form.ecmascript_obj.  

Sat Dec 18 14:25:10 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	The form object has now the document object as its parent and its
	methods behave accordingly to that. Fixes unstability on Google
	News.  

Sat Dec 18 12:38:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/renderer.c:

	html_special_form_control(): Somehow by cleaning up paskys ugly code
	this fixes issues bugging at |add_to_list(part->document->forms,
	init_form())| reported by Neuromancer on #elinks.  

Sat Dec 18 10:53:03 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/document.c:

	Include util/error.h.  

Sat Dec 18 02:33:26 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c:

	free_task(): Clear ses->loading, so there are no dangling pointers
	left behind. Fixes the test case in bug 559.  

Sat Dec 18 02:33:00 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: ecmascript/spidermonkey.c, viewer/text/form.c,
	viewer/text/form.h:

	Eliminate code duplication in SM's form_submit() and
	auto_submit_form() by introducing submit_given_form(), which takes a
	form pointer and submits that form.  

Sat Dec 18 02:22:28 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	html_(tag|form*) -> html_special_\1, to naming prevent conflicts
	with HTML element handlers. As suggested by Jonas.  

Sat Dec 18 02:17:50 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/forms.c:

	Actually free the form controls in done_form().  

Sat Dec 18 02:17:14 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	Cope with NULL fc->form in new_link(). It's a correct condition and
	we can just take the last encountered form in that case. Explained
	in a comment. Fixes those nice assertion failures.  

Sat Dec 18 01:48:32 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	Oops. Actually attach form to new form_control.  

Sat Dec 18 01:44:13 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/forms.c:

	Fixed has_form_submit() so that it actually works - it was returning
	always 1 since zas' viewer/text/form.c:1.41.  

Sat Dec 18 01:42:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/document.c, document/document.h, document/forms.c,
	document/forms.h, document/html/internal.h, document/html/parser.c,
	document/html/parser.h, document/html/renderer.c,
	document/html/parser/forms.c, document/html/parser/forms.h,
	ecmascript/spidermonkey.c, formhist/formhist.c,
	formhist/formhist.h, viewer/text/form.c, viewer/text/form.h,
	viewer/text/link.c:

	Introducted {struct form}, which now groups {struct form_control}s
	together based on what form they are members of and it occupies the
	document.forms list itself. Some redundant fields were removed from
	form_control, ctrl_num was blasted (it was unused now) and form_num
	was transformed to {struct form} pointer form. Usage of couple of
	functions was simplified etc.  

Sat Dec 18 00:45:29 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/: form.c, form.h:

	Remove now-unused form_state.ctrl_num. form_control.ctrl_num still
	survives just because it's inconvenient for me to remove it right
	now, but it will disappear soon.  

Sat Dec 18 00:43:45 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	fc->form_num + fc->ctrl_num == fc->position 

Sat Dec 18 00:28:26 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Reformat a comment.  

Sat Dec 18 00:27:53 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/Makefile.am, document/document.c,
	document/forms.c, document/forms.h, document/html/parser/forms.c,
	ecmascript/spidermonkey.c, formhist/dialogs.c, formhist/formhist.c,
	formhist/formhist.h, viewer/text/form.c, viewer/text/form.h,
	viewer/text/link.c, viewer/text/textarea.c, viewer/text/textarea.h:

	Moved struct form_control, has_form_submit() and done_form_control()
	generic form routines from viewer/text/form.h to document/forms.h.  

Sat Dec 18 00:18:33 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	In add_global_history_item, check whether init_global_history_item 
	returns NULL.  

Sat Dec 18 00:11:06 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* test/: Makefile.am, backspaces.txt:

	New test-case for backspaces and ASCII mark-up.  

Sat Dec 18 00:06:32 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Whoops, that is _struct_ global_history_item.  

Sat Dec 18 00:04:02 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Factor the actually allocation and initialisation of the new history
	item out to the new init_global_history_item.  

Fri Dec 17 23:58:06 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Group the allocation of the new history item's listbox item with the
	rest of the history item initialisation code.  

Fri Dec 17 23:55:56 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Killed commented out form.num. The number is
	just offset of the <form> tag start in the HTML part and we can get
	that anytime easily from html_context.last_form_tag, so no need to
	carry it around in a struct.  

Fri Dec 17 23:53:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	In add_global_history_item, add the new history item to the hash
	table even if we cannot allocate the box item for it.  

Fri Dec 17 23:52:20 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Description.  

Fri Dec 17 23:51:11 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Sprinkled by few comments.  

Fri Dec 17 23:50:27 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	In add_global_history_item, drop local variable text, which has been 
	unused since add_listbox_item stopped taking an argument for the
	listbox item's label in src/bfu/hierbox.c revision 1.163 (and we
	stopped passing it, in revision 1.75), which it hadn't used since
	src/bfu/hierbox.c revision 1.161 when listbox_item->text was
	superseded by the get_text listbox operation.  

Fri Dec 17 23:49:11 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Killed sa and end_parse label by converting
	the main stuff to an explicit loop.  

Fri Dec 17 23:47:51 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Changed my mind. Reintroduced end_parse
	label.  

Fri Dec 17 23:46:10 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Eliminated end_parse label.  

Fri Dec 17 23:44:39 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): @i -> @stop_pos.  

Fri Dec 17 23:43:22 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): Eliminated sp label.  

Fri Dec 17 23:42:38 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	find_form_for_input(): @s -> @pos, @ss -> @tag_start_pos, @lf ->
	@last_form_tag, @la -> @last_form_attr.  

Fri Dec 17 23:23:52 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/inpfield.c:

	When an input line is open and the user clicks outside of it, close
	the input line and pass the event on to the next window.  

Fri Dec 17 23:20:00 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.h:

	Explain the content of those mysterious lists in struct document.  

Fri Dec 17 23:15:11 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	FORM_CONTROL -> FORM 

Fri Dec 17 23:14:24 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Support for form.encoding.  

Fri Dec 17 22:59:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, document/renderer.c, protocol/uri.c,
	protocol/uri.h, protocol/gopher/gopher.c, sched/download.c,
	viewer/text/link.c:

	Introduce decode_uri_{string_,}for_display() which removes
	non-printable and control chars from decoded URIs, even when the
	decoded URI is going to be used for a filename. Fixes bug 573.  

Fri Dec 17 22:45:05 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	The right fix for the bugzilla crash. forms' parent is document, but
	the vs is private of window, document's parent.  

Fri Dec 17 22:40:38 2004  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/: cookies.c, cookies.h:

	Unexport get_cookie_server().  

Fri Dec 17 21:54:31 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* doc/events.txt, src/bookmarks/bookmarks.c,
	src/bookmarks/dialogs.c, src/config/options.inc:

	Introduce periodic snapshotting of all tabs in all terminals.  
	
	Add the events bookmark-delete, bookmark-move, and bookmark-update.  
	
	Auto-sort the ui.sessions as the bookmarks module is now adding an
	option thereunder.  
	
	Add the new routines and event hooks to perform the snapshotting.  

Fri Dec 17 20:26:11 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Do not use the trailing underscores lightly. property__ ->
	jsval_property.  

Fri Dec 17 20:24:38 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Reverted relevant part of 1.98, moving initializations back to the
	declaration part and thus fighting the evil clutter ;-).  

Fri Dec 17 16:19:08 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/search.c:

	document.browse.search.case is boolean.  

Fri Dec 17 15:59:01 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Fri Dec 17 15:52:10 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Reformat JavaScript Emergency message, and fix a memleak
	(MSGBOX_FREE_TEXT needed).  

Fri Dec 17 15:48:50 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Use a struct for property, and make union anonymous.  

Fri Dec 17 15:25:53 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Introduce P_UNDEF() macro, and drop prop_type = JSPT_UNDEF. Note
	that VALUE_TO_JSVAL_START always call it.  

Fri Dec 17 15:00:00 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Add macros to set @p and use them.  

Fri Dec 17 14:37:00 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	error_reporter(): attempt to make things readable.  

Fri Dec 17 14:10:14 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	If we go for macros, then use them.  

Fri Dec 17 14:06:39 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Make @doc_view, @ses more local. Minor typo fix.  

Fri Dec 17 13:59:43 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Drop temporary variable and minor typo fix.  

Fri Dec 17 13:58:06 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Put spaces around = operator.  

Fri Dec 17 13:56:00 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Make @doc_view declaration more local.  

Fri Dec 17 13:48:47 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Tidy up.  

Fri Dec 17 13:32:09 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Reduce indentation level and tidy up.  

Fri Dec 17 13:26:40 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Reduce indentation level and tidy up.  

Fri Dec 17 13:24:02 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Drop useless temporary variable.  

Fri Dec 17 13:22:33 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Tidy up.  

Fri Dec 17 13:19:51 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/: spidermonkey.c, spidermonkey.c:

	Drop useless {}.  

Fri Dec 17 11:09:34 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	JSVAL_TO_VALUE_START macro declares some variables, so stick it to
	declaration block.  

Fri Dec 17 11:05:55 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	VALUE_TO_JSVAL_START macro declares some variables, so stick it to
	declaration block.  

Fri Dec 17 11:02:50 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Only get document if needed, it fixes crash when accessing bugzilla.
	Pasky, please review.  

Fri Dec 17 08:53:09 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/form.c:

	document.browse.forms.auto_submit option is boolean.  

Fri Dec 17 08:48:37 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/: form.c, link.c:

	document.browse.accesskey.display option is boolean.  

Fri Dec 17 05:06:26 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/link.c:

	Describe init_link_drawing, draw_current_link, and clear_link.  

Fri Dec 17 04:40:51 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/view.h:

	Guess at the purpose of struct link_bg *link_bg and int link_bg_n in
	struct document_view.  

Fri Dec 17 03:21:17 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/renderer.c:

	s/non accessible/inaccessible/ 

Fri Dec 17 03:19:35 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/renderer.c:

	Never add inaccessible links, regardless of whether we are numbering
	them.  

Fri Dec 17 01:33:54 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Stop searching a document when the first zero-length match is found.  
	This avoids long freezes while ELinks finds and highlights every
	zero-length match on the page, which can take a while.  

Fri Dec 17 01:22:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/hierbox.c:

	When the generic hierbox search handler finds no matches, mark all
	items visible.  
	
	This fixes bug 567: 'all listbox items made invisible when result of
	search is not found' 

Fri Dec 17 01:11:07 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Oh these compilers...  

Fri Dec 17 00:49:20 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Extensive cleanup of the 'form' object methods.  

Fri Dec 17 00:46:59 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/download.c:

	Treat option as boolean.  

Fri Dec 17 00:39:27 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Extensive cleanup of the 'forms' object methods.  

Fri Dec 17 00:25:13 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Internally, call the object 'form' instead of 'form_control' in our
	symbol names. Less confusing, I think.  

Fri Dec 17 00:21:56 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Trivial reindentation.  

Fri Dec 17 00:20:49 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Factored out form_control class instance generation to
	get_form_control_object(), and made the object to have the 'forms'
	object as its parent.  

Fri Dec 17 00:05:26 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Cleanup parts of document_get_property() relevant to forms. Also,
	document.forms is not generated under each property lookup as a new
	object anymore, but initialized single time by JS_InitClass(). I
	hope it actually works.  

Thu Dec 16 23:53:05 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Try to un-mess the code again by logically reordering the forms code
	added by witekfl.  

Thu Dec 16 23:48:42 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/renderer.c, ecmascript/ecmascript.h:

	Introduce ecmascript_interpreter.onload_snippets_owner containing
	document id of the final document structure the snippets come from -
	and if that changed from before when about to process snippets,
	reset the state and process them from scratch. Fixes bug 516 where
	the current document got reloaded in another tab and then some
	smart*** pressed ^L to redraw it in the current one.  

Thu Dec 16 23:10:41 2004  Petr Baudis <pasky@ucw.cz>:

	* src/cache/cache.c:

	Initialize cache entries id_counter to 1 instead of 0. I need 0 for
	special stuff.  

Thu Dec 16 21:28:46 2004  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	Enhanced documentation.  

Thu Dec 16 21:06:26 2004  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/file.c:

	Pah, fixed annoying warning about
	get_opt_int(document.browse.links.color_dirs) instead of
	get_opt_bool(). Like it matters.  

Thu Dec 16 19:47:36 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/remote.txt:

	Few style and grammar touches.  

Thu Dec 16 19:42:01 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/index.txt:

	Aesthetical touches.  

Thu Dec 16 19:39:59 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/: leds.c, leds.h:

	Respect identifiers namespaces and use led.used__ insted of
	led.__used.  

Thu Dec 16 16:05:22 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Typo fix.  

Thu Dec 16 15:56:54 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/session.c, util/secsave.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:42:58 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/task.c, viewer/text/form.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:34:02 2004  Laurent Monin <zas@norz.org>:

	* src/: cache/cache.c, dialogs/options.c, protocol/ftp/ftp.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:23:20 2004  Laurent Monin <zas@norz.org>:

	* src/: config/conf.c, dialogs/status.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:19:23 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:17:50 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Treat options as booleans.  

Thu Dec 16 15:14:49 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/renderer.c:

	Treat options as booleans.  

Thu Dec 16 15:13:30 2004  Laurent Monin <zas@norz.org>:

	* src/: config/options.c, config/opttypes.c, lowlevel/dns.c:

	More get_opt_*() fixes.  

Thu Dec 16 15:10:44 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: protocol/http/http.c, document/options.c,
	lowlevel/connect.c, viewer/text/view.c:

	Treat options as booleans.  

Thu Dec 16 15:05:12 2004  Laurent Monin <zas@norz.org>:

	* src/: document/renderer.c, intl/gettext/libintl.h:

	Those options are of codepage type.  

Thu Dec 16 15:03:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/main.c:

	Get -dump and -source cmdline options as booleans.  

Thu Dec 16 14:55:30 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.h:

	Add get_opt_codepage() and get_cmd_opt_codepage().  

Thu Dec 16 14:43:41 2004  Laurent Monin <zas@norz.org>:

	* src/config/: options.c, options.h, opttypes.c, opttypes.h:

	When CONFIG_DEBUG is defined, check for wrong get_opt_*() calls
	regarding option type.  

Thu Dec 16 13:52:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Oops forgot this one when updating elinks.conf(5) yesterday in my
	release tree.  

Thu Dec 16 13:51:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/remote.txt:

	s/"g elinks"/g:elinks/ which pasky prefers.  

Thu Dec 16 13:36:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: ecmascript.txt, hacking.txt, index.txt, marks.txt,
	remote.txt, urlprefixes.txt:

	Aspell all .txt files.  

Thu Dec 16 13:11:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/lua/elinks-remote, doc/Makefile.am, doc/index.txt,
	doc/remote.txt:

	Elaborate a bit about managing remote ELinks instances with -remote.
	Plant a note about -remote in the elinks-remote hack.  

Thu Dec 16 11:44:03 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/: index.txt, urlprefixes.txt:

	The tracts of URI rewriting.  

Thu Dec 16 10:54:33 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/index.txt:

	I guess ex-mode is advanced.  

Thu Dec 16 10:54:01 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	A new debug_check_option_syntax() that wraps calls to
	check_caption() and check_description().  

Thu Dec 16 10:49:32 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/bookmarks.txt:

	Slightly reordered the sample bookmarks hierarchy for marginal
	increase in instructiveness.  

Thu Dec 16 10:47:16 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	When CONFIG_DEBUG is defined, check for bad chars at end of option
	description, it will warn if spaces, tabs or newlines are found.  

Thu Dec 16 10:46:29 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/bookmarks.txt:

	Hopefully completed the bookmarks documentation by details on the
	bookmarks formats.  

Thu Dec 16 10:38:33 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	check_caption() -> static.  

Thu Dec 16 10:34:42 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Dec 16 10:31:23 2004  Laurent Monin <zas@norz.org>:

	* src/config/: cmdline.c, options.inc:

	Drop extra newline at end of option description.  

Thu Dec 16 10:29:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	end_of_dir(): Drop the now obsoleted struct uri parameter.  

Thu Dec 16 10:22:48 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated and some typos were fixed.  

Thu Dec 16 09:58:05 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Dec 16 09:56:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Fix encoding of file:// URIs so that the query is not also encoded.
	This patch has some issues raise by Miciah, mostly related to the
	way check_file_uri() works, but it fixes support for passing query
	URI components to local CGI scripts. Maybe it would be more
	elegantly fixed by adding query members to struct uri.  

Thu Dec 16 09:52:23 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Fix detection of end_of_dir() by allowing (again) query URI
	components in file:// URIs. Fix the bad logic when checking and
	initializing the fragment URI components of file:// URIs.  

Thu Dec 16 09:44:51 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/bookmarks.c:

	The native ELinks format IS NOT compatible with the Links 0.9x
	bookmarks format.  

Thu Dec 16 09:33:23 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/: bookmarks.txt, color-model.txt, ecmascript.txt, exmode.txt,
	feedback.txt, marks.txt:

	Some Id tags.  

Thu Dec 16 09:31:29 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/: Makefile.am, README, index.txt:

	Added grandiose introduction+table of contents index.txt file.  

Thu Dec 16 08:46:37 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/events.txt:

	Some introduction to what's up with this events thing.  

Thu Dec 16 08:16:34 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/hacking.txt:

	This sentence has bothered me in my dreams for a long time.  

Thu Dec 16 01:53:42 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/pl.po:

	Updates to polish translation - fixing 9 fuzzies/untranslated
	msgids. Patch by Adam Golebiowski <adamg@pld-linux.org>.  

Thu Dec 16 00:15:09 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Survive if SM doesn't provide JSOPTION_COMPILE_N_GO. It's a popular
	cause of compile failures and it's only informative, not strictly
	required.  

Wed Dec 15 23:11:41 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/: Makefile.am, exmode.txt:

	More crazy raving, exmode is the topic this time.  

Wed Dec 15 22:25:16 2004  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS:

	More pride for me! 

Wed Dec 15 22:20:46 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/: Makefile.am, marks.txt:

	Some raving blabbery on marks, per Miciah's request.  

Wed Dec 15 21:52:23 2004  Petr Baudis <pasky@ucw.cz>:

	* doc/README:

	Make this file less confusing for the part of mankind not closely
	following the (lack of) ELinks development in the area of
	documentation, pointing out the existence of humble text and HTML
	files in the doc/ directory, aside the intrisically invisible
	docbook manual.  

Wed Dec 15 19:25:23 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc1.CVS 

Wed Dec 15 19:18:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10rc1 

Wed Dec 15 19:14:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	Update .po files.  

Wed Dec 15 19:10:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Wed Dec 15 19:05:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, document/html/parser/link.c:

	Alias document.browse.images.file_tags to
	document.browse.images.filename_maxlen since that is what it has
	most in common with. Place an XXX near the use of the new
	filename_maxlen option that it can potentially return a negative
	number. Gently teach vim that .inc files are infact .c files.  

Wed Dec 15 18:48:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Some how them 'Max.' abbreviations don't look right, so maximize
	them.  

Wed Dec 15 16:05:06 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Dec 15 15:41:40 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Treat label=="" as label==NULL.  

Wed Dec 15 15:21:26 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Code cleanup in get_image_label() and get_image_filename_from_src().  

Wed Dec 15 15:15:46 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.inc:

	Comment out now obsolete option document.browse.images.file_tags:
	what should we do ?.  

Wed Dec 15 15:11:55 2004  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, document/html/parser/link.c:

	A new option was added: document.browse.images.filename_maxlen It
	replaces document.browse.images.file_tags which is now obsolete.  
	Users should use combination of display_style and filename_maxlen
	instead.  

Wed Dec 15 15:06:57 2004  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, document/html/parser/link.c:

	A new option was added: document.browse.images.display_style Its
	value controls how to display image tags.  0     means always
	display IMG 1     means always display filename 2     means display
	alt/title attribute if possible, IMG if not 3     means display
	alt/title attribute if possible, filename if not 

Wed Dec 15 14:53:41 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser/link.c, config/options.inc:

	A new option named document.browse.images.label_maxlen was added to
	control maximum length of label extracted from alt/title attributes.
	It acts independently of document.browse.images.file_tags.  

Wed Dec 15 13:53:46 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Revert patch 1.64->1.65 for now. It should be optionnal, and off by
	default. This should perhaps be reintroduced later, we have too much
	image tags options yet.  

Wed Dec 15 10:32:44 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Truncate filename if needed in get_image_filename_from_src().  

Wed Dec 15 10:10:38 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Be clever, use value of id attribute if no title nor alt is
	available as image label.  

Wed Dec 15 09:47:11 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Simplify code and display IMG by default when no other label is
	available, with brackets if needed.  

Wed Dec 15 09:32:34 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Cleanup comments.  

Wed Dec 15 08:55:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS:

	HTML highlighting is not so experimental. IMO and in Miciahs too.  

Tue Dec 14 19:16:14 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Use function wrappers to eliminate that clandestine argument passing 
	between html_embed, html_iframe, html_img, and html_object using the
	global object_src as a drop box.  

Tue Dec 14 18:48:16 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Flip the conditions and swap the respective then and else
	expressions in the same two ternary-operator expressions.  

Tue Dec 14 18:45:41 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Remove some superfluous parentheses from a ternary-operator
	expression.  

Tue Dec 14 18:38:38 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Use the ternary operator instead of an if-else block.  

Tue Dec 14 18:36:46 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Rewrite the comment describing do_move_bookmark to be accurate.  

Tue Dec 14 18:32:26 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Move the comment describing do_move_bookmark from the caller to the
	definition of do_move_bookmark.  

Tue Dec 14 18:29:16 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	Clean up the whitespace in do_move_bookmark.  

Tue Dec 14 18:25:18 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	In do_move_bookmark, assert that arguments destb and desti are
	either both NULL or neither NULL.  
	
	Drop local variable blind_insert, which was assigned the boolean
	destb && desti.  
	
	Check whether destb or desti is NULL where we used to check whether
	blind_insert was 0.  
	
	Assign desti = destb = NULL where we used to set blind_insert = 0.  

Tue Dec 14 17:35:28 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	Factor the loop that performs the bookmarking out from
	bookmark_terminal_tabs and into the new bookmark_terminal.  
	bookmark_terminal_tabs now is a wrapper that adds the folder and 
	gives it to bookmark_terminal.  

Tue Dec 14 17:08:56 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	In delete_folder_by_name, check whether the bookmark is a folder 
	before checking whether the title matches, as the former operation 
	should be much faster.  

Tue Dec 14 17:07:14 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	Factor the folder deletion code out from bookmark_auto_save_tabs and
	into the new delete_folder_by_name.  

Tue Dec 14 17:01:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	In bookmark_terminal_tabs, use local variable ses instead of 
	tab->data, the value of which is already assigned to ses.  

Tue Dec 14 17:00:29 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	Include util/lists.h.  

Tue Dec 14 16:59:32 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/bookmarks.c:

	Sort the inclusions.  

Tue Dec 14 01:58:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	In do_move_bookmark, use foreachsafe instead of re-implementing it 
	with a while loop.  

Tue Dec 14 01:55:03 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Just put a hard limit on the number of successive redirects.  

Mon Dec 13 18:48:41 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Try again, but this time, do not dereference the given pointer if it
	is NULL.  

Mon Dec 13 18:46:54 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Revert that.  

Mon Dec 13 06:15:55 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Improve the infinite-loop check in check_incomplete_redirects to
	catch loops that involve more than one page.  

Mon Dec 13 04:49:43 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Remove a stale comment in truncate_label: because the memcpy no
	longer will copy the NUL, the line that adds the NUL terminator is
	no longer just for 'great safety'.  

Mon Dec 13 04:22:02 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Do _not_ free map_url after assigning it to format.link.  This
	should fix the crashes caused by the bad memory handling introduced
	in revision 1.52.  

Mon Dec 13 04:19:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Free the the value returned by join_urls once it is no longer
	needed.  

Mon Dec 13 04:18:00 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Check whether join_urls returns NULL.  

Mon Dec 13 04:16:37 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Introduce local variable joined_urls.  

Mon Dec 13 04:12:01 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	html_img: Rename local variable url to map_url in the image-map
	code.  

Fri Dec 10 18:20:35 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): mem_free*() only when needed.  

Fri Dec 10 18:16:33 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): use mem_free_set().  

Fri Dec 10 18:14:50 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): drop another FIXME, please check if correct.  

Fri Dec 10 18:12:20 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): reorganize code and drop a FIXME.  

Fri Dec 10 18:05:17 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): empty lines and comments cleanup. Two FIXME were added.  

Fri Dec 10 18:00:27 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): drop goto and obsolete comments.  

Fri Dec 10 17:51:32 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): move code to new put_image_label().  

Fri Dec 10 17:44:44 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): simplify code.  

Fri Dec 10 17:39:25 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): @al -> @usemap_attr,@label ; @tmp -> @new_label.  

Fri Dec 10 17:31:23 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): @u -> @url, free @al asap.  

Fri Dec 10 17:28:47 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	html_img(): get image source once only, code cleanup.  

Wed Dec  8 18:29:52 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	truncate_title() was renamed get_image_label() and slightly
	modified.  

Wed Dec  8 18:23:12 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	Move code from truncate_title() to reworked truncate_label().  

Wed Dec  8 17:27:56 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c:

	get_image_text() was renamed get_image_filename_from_src(). Comments
	were added.  

Sun Dec  5 22:19:40 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	In truncate_title, swap an if statement's then and else blocks to
	put the shorter one first.  

Sun Dec  5 22:15:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Use memcpy and direct assignments instead of sprintf in
	truncate_string.  

Sun Dec  5 21:59:54 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Use a goto in truncate_title to reduce indentation.  

Sun Dec  5 21:54:20 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Drop the truncation code from get_image_text and let html_img
	truncate it using truncate_title as it does for an image's alt and
	title text.  

Sun Dec  5 21:48:03 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Finish last change.  

Sun Dec  5 21:43:08 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Drop local variable max_real_len from get_image_text.  

Sun Dec  5 21:41:18 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser/link.c:

	Move a TODO comment from get_image_text to truncate_title.  

Fri Dec  3 22:51:26 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	query_file(): Order input_field() to check_nonempty() improving the
	IQ of the resulting error message. On the other hand maybe empty
	input should just close the dialog.  

Fri Dec  3 17:12:33 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/link.c, AUTHORS:

	This is a patch to link.c that will shorten the alt or title
	attribute of an image just as the filename is already done.  
	
	Patch by Russ Rowan <rrowan@dandy.net>.  Added to AUTHORS.  

Fri Dec  3 10:26:12 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/hierbox.c:

	Be stricter in print_delete_error(), let it produce an internal
	error if @err is not a valid error code.  

Fri Dec  3 10:06:56 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/hierbox.c:

	Use EVENT_PROCESSED where it is appropriated.  

Thu Dec  2 16:34:01 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/inphist.c, bookmarks/bookmarks.c, cookies/cookies.c,
	dialogs/exmode.c, dialogs/menu.c, dialogs/options.c,
	formhist/formhist.c, globhist/globhist.c, lowlevel/timer.c,
	protocol/file/file.c, sched/action.c, sched/download.c,
	scripting/lua/core.c, viewer/text/form.c, viewer/text/link.c:

	Be more coherent, use get_cmd_opt_bool("anonymous") everywhere
	instead of mixed get_cmd_opt_bool()/get_cmd_opt_int(). This option
	has the boolean type, though since bool==int from get_cmd_opt_*()
	POV, this is just a cosmetic change.  

Wed Dec  1 17:54:22 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated: typo fix and cleanup.  

Wed Dec  1 17:52:12 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Dec  1 03:37:37 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/dialogs.c:

	Indicate in the options manager and the option info box whether an
	option has been modified since the configuration was last saved.  
	
	Inspired by bug 357: Show default values for selected option in Info 
	dialog from Options manager.  

Tue Nov 30 17:47:11 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: inpfield.c, inpfield.h:

	Fix bug related to input field label display, introduced by me few
	days ago, spotted by Miciah. Drop @float_label field in favor of a
	more general @flags field, using new enum inpfield_flags.
	add_dlg_field_float2() was added. add_dlg_field_do() was cleaned up
	(and indentation was fixed as well).  

Tue Nov 30 06:30:24 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/menu.c:

	menu_search_handler: Rather than setting |menu->selected| directly, 
	use scroll_menu, which properly updates |menu->first|.  Now the menu
	is scrolled and redrawn properly to show the matched item.  

Tue Nov 30 06:15:23 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/menu.c:

	menu_search_handler: Begin searching with the selected item, unless 
	the user pressed previous-item or next-item. Now, as long as the
	pattern matches the selected item, it will not jump between items as
	the user enters the pattern.  

Mon Nov 29 17:31:06 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/inpfield.c:

	Typo fix in comment.  

Sat Nov 27 17:53:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/protocol/Makefile.am,
	src/protocol/auth/Makefile.am, src/protocol/auth/digest.c,
	src/protocol/http/http.c, src/util/Makefile.am, src/util/md5.c,
	src/util/md5.h:

	Add built-in MD5 support. Can be tested with --enable-own-libc or
	when OpenSSL or GNUTLS support is disabled.  

Sat Nov 27 16:03:26 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	exit_prog(): Minor cleanup of the logics which means that you should
	never use exit_prog() when really quiting however Ctrl-C correctly
	uses really_quit_prog(). Use list_is_singleton(terminals) when
	checking whether to force a quit-dialog when downloads are still in
	progress.  

Sat Nov 27 01:27:19 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Nov 27 01:12:18 2004  Laurent Monin <zas@norz.org>:

	* src/config/conf.c:

	Slightly improve config file look when rewritten.  

Fri Nov 26 17:27:00 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/document/html/parser/forms.c:

	Back to previous version. Links numbering should be correct now.  

Fri Nov 26 17:23:45 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/document/renderer.c:

	Partial revert hidden links change.  

Fri Nov 26 17:16:20 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Fri Nov 26 10:28:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/lists.h:

	Oops. Fix the assert message from last patch. A little reformatting
	on the side.  

Fri Nov 26 10:26:18 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/session.c, util/lists.h:

	Introduce list_is_singleton() macro with Miciah as the inspirational
	source.  

Thu Nov 25 23:53:05 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: config/options.inc, dialogs/menu.c:

	Use add_shell_quoted_to_string instead of add_shell_safe_to_string 
	in format_command so that URIs passed to external commands will be 
	escaped against shell misinterpretation rather than correct browser 
	interpretation. Add a warning to document.uri_passing._template_ not
	to escape the URI there.  

Thu Nov 25 23:50:15 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: osdep/osdep.c, util/conv.c, util/conv.h:

	Add |len| parameter to add_shell_quoted_to_string.  

Thu Nov 25 23:24:09 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: osdep/osdep.c, util/conv.c, util/conv.h:

	Factor add_shell_quoted_to_string out from the code for GNU Screen's 
	clipboard in the generic set_clipboard_text.
	add_shell_quoted_to_string adds ', the given source string with all
	occurrences of ' changed to '\'', and another ' to the given
	destination string.  

Thu Nov 25 22:19:18 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/action.c:

	In the switch in do_action, put back the default: label removed in
	1.126.  Even tho there are cases for all values of enum main_action, 
	its callers might get -1 from kbd_action and pass that value, which
	is not enumerated by enum main_action, to do_action.  This fixes the
	bug that prevented alt-[fvltsh] from opening the menus.  

Thu Nov 25 18:01:39 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/ecmascript/spidermonkey.c:

	Fixed segfault on bugzilla site.  

Wed Nov 24 22:47:23 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Nov 24 22:16:54 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/group.c:

	Fix a segfault triggered by resize terminal dialog: let accept NULL
	widget text.  

Wed Nov 24 18:21:39 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/: ecmascript.c, spidermonkey.c:

	An option called ecmascript.max_exec_time was added to control the
	maximum time a script may be run (5 seconds by default). Ecmascript
	options stuff was simplified.  

Wed Nov 24 17:42:01 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Fix compilation issues: JSVAL_TO_VALUE_START should follow variable
	declaration block.  

Wed Nov 24 17:10:33 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/ecmascript/spidermonkey.c:

	Now should be compilable.  

Wed Nov 24 09:03:58 2004  Laurent Monin <zas@norz.org>:

	* src/ecmascript/spidermonkey.c:

	Disable parts recently added by witekfl, they break compilation. #if
	1 -> #ifdef WITEKFL. Please witekfl, fix these asap ;).  

Tue Nov 23 17:12:56 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/: document/html/parser/forms.c, document/renderer.c,
	document/html/renderer.c, document/html/renderer.h,
	ecmascript/spidermonkey.c, viewer/text/form.c, viewer/text/form.h:

	Don't beat me. Links navigation is broken because of hidden links, 
	which are internally "visible" now. They should be skiped somehow in
	navigation (not done yet). Hidden form is used by eg.
	https://www.mbank.com.pl/. My long term goal is make this site work
	with ELinks.  

Tue Nov 23 13:08:29 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/dialog.c, bfu/hierbox.c, bfu/listbox.c, bfu/listbox.h,
	bfu/widget.h, bookmarks/dialogs.c:

	box -> listbox.  

Mon Nov 22 17:07:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Introduce md5_bin_digest buffer typedef.  

Mon Nov 22 17:04:24 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Fix descriptions from last patch. Rename convert_hex() ->
	convert_to_md5_hex_digest(). I like upcased hex numbers.  

Mon Nov 22 16:52:58 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	init_random_cnonce() -> init_cnonce_digest(), digest_calc_response()
	-> init_response_digest() and add function descriptions + lots of
	FIXMEs.  

Mon Nov 22 13:27:41 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/inphist.c, bfu/listmenu.c, bfu/listmenu.h, bfu/menu.h,
	dialogs/info.c, dialogs/info.h, dialogs/menu.c, dialogs/menu.h,
	dialogs/options.c, dialogs/options.h, document/html/parser.c,
	mime/dialogs.c, sched/task.c, sched/task.h, viewer/text/form.c,
	viewer/text/form.h, viewer/text/link.c, viewer/text/link.h,
	viewer/text/textarea.c, viewer/text/textarea.h:

	Drop type casting to menu_func, use correct prototype for functions
	which are called by menus (menu_func).  

Mon Nov 22 11:31:09 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: dialog.c, hierbox.c, inpfield.c, widget.h:

	Trim trailing whitespaces.  

Mon Nov 22 11:29:09 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Drop inline keyword since performance is not an issue here.  

Mon Nov 22 07:28:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: bfu/button.c, bfu/checkbox.c, bfu/dialog.c, bfu/dialog.h,
	bfu/hierbox.c, bfu/inpfield.c, bfu/listbox.c, bfu/widget.c,
	bfu/widget.h, bookmarks/dialogs.c:

	Now longer use the |dlg_data->focus_selected_widget| flag to
	indicate to the widget-specific drawing code whether the widget is
	focused. Instead, check within the individual drawing routines 
	whether the widget being drawn is focused.  
	
	struct dialog_data: Drop the boolean focus_selected_widget.  
	
	display_widget_focused, display_widget_unfocused: Drop.  
	
	display_widget: Expose.  
	
	select_widget, cycle_widget_focus: Set
	|dlg_data->selected_widget_id| _before_ calling display_widget on
	the previously selected widget.  
	
	display_button, display_checkbox, display_field_do: Use
	|is_selected_widget(dlg_data, widget_data)| instead of checking
	|dlg_data->focus_selected_widget|.  
	
	Everywhere: Use display_widget instead of display_widget_focused and
	display_widget_unfocused.  

Mon Nov 22 06:28:50 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/scripting/lua/core.c:

	Fix some compilation errors that came with the change from void * to
	t_widget_handler * for the callback provided to add_dlg_button_do.  

Sun Nov 21 17:15:50 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, checkbox.c, dialog.c, inpfield.c, listbox.c,
	text.c, widget.h:

	Add a clear handler for widgets and make clear_dialog() more
	generic.  

Sun Nov 21 16:54:30 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/checkbox.c, bfu/dialog.c, bfu/inpfield.c,
	bfu/widget.h, viewer/text/search.c:

	Struct widget @data and @udata fields were merged. @datalen usage
	was clarified a bit.  

Sun Nov 21 14:53:30 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/button.h, bfu/hierbox.c, bfu/inpfield.c,
	bfu/msgbox.c, config/dialogs.c, cookies/dialogs.c,
	dialogs/download.c, dialogs/edit.c, dialogs/options.c,
	mime/dialogs.c, protocol/auth/dialogs.c, scripting/lua/core.c,
	viewer/text/search.c:

	Reorder parameters of add_dlg*button*() to match syntax of other
	kind of widgets.  

Sun Nov 21 14:17:14 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Use correct type for @done.  

Sun Nov 21 14:14:27 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, button.h:

	Use t_widget_handler * instead of void * for @handler.  

Sun Nov 21 14:07:00 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, button.h:

	@key -> @flags.  

Sun Nov 21 14:03:25 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/button.h, bfu/msgbox.c,
	bookmarks/dialogs.c, dialogs/edit.c, dialogs/edit.h,
	dialogs/options.c, globhist/dialogs.c, mime/dialogs.c,
	protocol/auth/dialogs.c:

	BUTTON_DONE_FUNC() macro was dropped in favor of t_done_handler
	typdef. Functions declarations were fixed to match correct
	prototype.  

Sun Nov 21 13:35:44 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/msgbox.c:

	@fn -> @done.  

Sun Nov 21 13:33:17 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/dialog.c, bfu/inpfield.c, bfu/widget.h,
	dialogs/options.c:

	Field @fn of struct widget was renamed @handler.  

Sun Nov 21 13:23:58 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: common.h, hierbox.h, inpfield.c, inpfield.h, widget.h:

	t_widget_handler -> t_widget_handler *. Suggested by Miciah.  

Sun Nov 21 05:20:14 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Avoid an infinite loop when a page redirects to itself, as the
	search form on www.bestbuy.com will.  

Sat Nov 20 11:32:57 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: common.h, hierbox.h, inpfield.c, inpfield.h, widget.h:

	Drop WIDGET_HANDLER_FUNC() macro, and introduce new type
	t_widget_handler.  

Sat Nov 20 04:29:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/: auth.c, auth.h:

	Make find_auth_entry() once again static.  

Sat Nov 20 03:52:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/ftp/ftp.c:

	I never did quite understand why find_auth() was not good enough for
	FTP authentication. It checks for blocked entries and the user/pass
	checking is only to validate that they were not updated through the
	goto dialog. So use find_auth() for FTP.  

Sat Nov 20 02:50:18 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Wrap digest code in CONFIG_SSL_DIGEST #ifdef.  

Sat Nov 20 02:08:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Move WWW-Authenticate HTTP header field checking to
	check_http_authentication().  

Sat Nov 20 01:32:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Introduce init_uri_method_digest() for calculating that H(A2).  

Sat Nov 20 01:27:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	digest_calc_ha1() -> init_credential_digest().  

Sat Nov 20 00:46:59 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	random_cnonce() -> init_random_cnonce().  

Sat Nov 20 00:44:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Use stack allocated buffers through typedef'ed md5_hex_digest.  

Sat Nov 20 00:33:12 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Make all the hex'ed digest lengths explicit.  

Sat Nov 20 00:26:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Only make digest_calc_response() worry about ha1 calculation.  

Sat Nov 20 00:09:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	digest_calc_ha1(): Drop unused cnonce arg.  

Fri Nov 19 23:46:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/: digest.c, digest.h:

	Make auth digest helpers static.  

Fri Nov 19 23:45:42 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: auth/digest.c, auth/digest.h, http/http.c:

	Oops misread the RFC
	s/get_http_auth_digest_challenge/get_http_auth_digest_response/.  

Fri Nov 19 23:40:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: auth/digest.c, auth/digest.h, http/http.c:

	Move HTTP auth digest challenge computation and string construction
	to new get_http_auth_digest_challenge().  

Fri Nov 19 19:05:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/checkbox.h:

	Fix cut and paste error introduced in (1.34 -> 1.35) 'Move specific
	info to widgets headers, ...' 

Fri Nov 19 18:59:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/widget.h:

	Fix potentially confusing comment.  

Fri Nov 19 17:46:04 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/button.h, bfu/checkbox.c, bfu/checkbox.h,
	bfu/common.h, bfu/group.c, bfu/hierbox.h, bfu/inpfield.c,
	bfu/inpfield.h, bfu/leds.c, bfu/listbox.c, bfu/listbox.h,
	bfu/menu.c, bfu/msgbox.c, bfu/msgbox.h, bfu/style.h, bfu/text.c,
	bfu/text.h, bfu/widget.h, document/css/apply.c,
	document/css/property.h, document/html/parser.h, util/Makefile.am,
	util/align.h:

	Move enum format_align to new util/align.h since it is not bfu
	specific. Drop most bfu/style.h inclusions.  

Fri Nov 19 17:19:05 2004  Laurent Monin <zas@norz.org>:

	* src/: main.c, bfu/inphist.c, bfu/inphist.h, bfu/widget.c,
	bfu/widget.h:

	Move dlg_set_history() to inphist.{c,h}.  

Fri Nov 19 17:14:56 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: checkbox.h, dialog.h, inpfield.h, text.h, widget.h:

	Move macros from widget.h to related header files.  

Fri Nov 19 17:08:47 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Off course Proxy-Authenticate. Spotted by Jonas.  

Fri Nov 19 17:07:18 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.h, checkbox.h, inpfield.h, listbox.h, text.h,
	widget.h:

	Move specific info to widgets headers, and simplify widget.h.  

Fri Nov 19 16:54:21 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/widget.h, dialogs/status.c, modules/module.c,
	sched/session.c, sched/session.h:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:42:35 2004  Laurent Monin <zas@norz.org>:

	* src/: bookmarks/bookmarks.c, bookmarks/backend/common.c,
	bookmarks/backend/default.c, bookmarks/backend/xbel.c,
	cache/cache.c, config/kbdbind.c, config/options.c,
	config/opttypes.c, config/urlhist.c, cookies/cookies.c,
	dialogs/status.c, globhist/globhist.c, protocol/nntp/codes.c:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:33:01 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/dialog.c, bfu/widget.h, dialogs/exmode.c:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:29:23 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:27:52 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/widget.h:

	Do not include twice the same header.  

Fri Nov 19 16:26:11 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/widget.h, dialogs/edit.c, dialogs/options.c,
	formhist/dialogs.c, globhist/dialogs.c, mime/dialogs.c,
	protocol/auth/dialogs.c, scripting/lua/core.c:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:22:19 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/widget.h, bookmarks/dialogs.c, cache/dialogs.c,
	config/dialogs.c, cookies/dialogs.c, dialogs/download.c:

	Reduce number of inclusions, just include bfu/dialog.h.  

Fri Nov 19 16:16:26 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/widget.h, dialogs/document.c, dialogs/info.c,
	dialogs/menu.c, ecmascript/spidermonkey.c, formhist/formhist.c,
	protocol/protocol.c, protocol/user.c, sched/download.c,
	sched/session.c, sched/task.c, terminal/tab.c, viewer/text/draw.c,
	viewer/text/form.c, viewer/text/search.c, viewer/text/textarea.c,
	viewer/text/view.c:

	Fix header files inclusions.  

Fri Nov 19 16:08:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/formhist/formhist.c:

	#include missing headers revealed by widget cleanup.  

Fri Nov 19 16:08:24 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: msgbox.h, widget.h:

	Create dynamic widget #include area. The message box interface rely
	on the button flags (B_*) so #include the widget header.  

Fri Nov 19 15:53:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/: cookies.c, dialogs.c, dialogs.h:

	Move accept_cookie_dialog() and cookie_queries list_head to dialogs
	file.  

Fri Nov 19 15:45:46 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: listbox.c, listbox.h:

	Fix get_listbox_widget_data() compilation issue.  

Fri Nov 19 15:40:20 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: common.h, hierbox.h, inpfield.h, listbox.h, msgbox.h,
	widget.h:

	Drop more #include.  

Fri Nov 19 15:39:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/exmode.c:

	These dialog/widget #includes looks like relics from the
	pre-input_line implementation.  

Fri Nov 19 15:33:07 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: Makefile.am, button.h, checkbox.h, common.h, hierbox.h,
	inpfield.h, listbox.h, text.h, widget.h:

	Create new header common.h and drop some #include <bfu/widget.h>
	from header files.  

Fri Nov 19 12:17:10 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/: main.c, protocol/http/http.c, protocol/http/http.h:

	Experimental proxy digest authorization. Not tested at all. Note
	that wrong credentials leads to infinite loop.  

Fri Nov 19 11:12:53 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: text.c, text.h:

	Make add_dlg_text() a function.  

Fri Nov 19 11:07:53 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/listbox.c:

	Drop now useless ().  

Fri Nov 19 11:06:40 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: listbox.c, listbox.h:

	Make add_dlg_listbox() a function.  

Fri Nov 19 11:01:54 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: inpfield.c, inpfield.h, widget.h:

	Make add_dlg_field_do() a function with the help of
	WIDGET_HANDLER_FUNC() new macro.  

Fri Nov 19 10:48:04 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: checkbox.c, checkbox.h:

	Move code from macro add_dlg_radio() to new function
	add_dlg_radio_do().  

Fri Nov 19 10:30:50 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, button.h:

	Make add_dlg_button_do() a function.  

Fri Nov 19 10:04:45 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.h, bfu/checkbox.h, bfu/dialog.c, bfu/dialog.h,
	bfu/inpfield.h, bfu/listbox.h, bfu/msgbox.c, bfu/text.h,
	bfu/widget.h, config/dialogs.c, cookies/dialogs.c, dialogs/edit.c,
	protocol/auth/dialogs.c, scripting/lua/core.c:

	Rename |widgets_size| of struct dialog to |number_of_widgets|. Make
	it appear only in bfu/ with the help of some new macros.  

Fri Nov 19 09:39:25 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/checkbox.c, bfu/dialog.c, bfu/dialog.h, bfu/group.c,
	dialogs/download.c:

	Rename |n| field of struct dialog_data to explicit
	|number_of_widgets|. More foreach_widget() usage.  

Fri Nov 19 09:28:40 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: dialog.c, dialog.h:

	Introduce foreach_widget() and few helpers macros. Use them for
	widget_data iterations.  

Fri Nov 19 05:07:45 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/connection.c:

	Update a TODO comment to reflect the renaming of uncompress_shutdown 
	to decompress_shutdown.  

Thu Nov 18 23:52:20 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/checkbox.c:

	Let display_checkbox() return EVENT_PROCESSED on allocation error.
	Spotted by Miciah.  

Thu Nov 18 22:25:48 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/util/snprintf.c:

	Our official native English speaker forgot to use the subjunctive
	mood.  Any intelligent native English speakers care to check this? 

Thu Nov 18 21:39:33 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/checkbox.c, bfu/dialog.c, bfu/dialog.h,
	bfu/inpfield.c, bfu/widget.h, protocol/auth/dialogs.c:

	Struct dialog_data "selected" field was renamed
	"selected_widget_id".  Code related to it was moved to dialog.{c,h]
	only with the help of new select_widget(), select_widget_by_id(),
	update_all_widgets().  Code redundancy was reduced.  

Thu Nov 18 17:59:32 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/osdep/stub.h:

	Included ctype.h in stub.h.  

Thu Nov 18 17:58:26 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Thu Nov 18 17:30:49 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/auth/auth.c:

	Use mem_free_set() for leak fix.  

Thu Nov 18 17:23:09 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/auth/auth.c:

	Possible(?) memleak avoided.  

Thu Nov 18 09:06:41 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Nov 18 08:15:30 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/button.c, config/options.inc:

	Make it possible to also underline button shortcuts. Along with zas'
	button shortcut coloring this should pretty much fix bug 329.  

Thu Nov 18 00:52:42 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: dialog.c, dialog.h, hierbox.c, inpfield.c, listbox.c,
	text.c, widget.h:

	Use new term_event of struct dlg_data, and drop last parameter of
	widget kbd() functions.  

Thu Nov 18 00:31:42 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, checkbox.c, dialog.c, inpfield.c, listbox.c,
	text.c, widget.h:

	Use new term_event of struct dlg_data, and drop last parameter of
	widget mouse() functions.  

Thu Nov 18 00:23:48 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: checkbox.c, dialog.c, dialog.h, inpfield.c, listbox.c,
	widget.h:

	Make struct term_event * a new field of struct dlg_data, and do not
	pass it anymore to all widget init() functions.  

Thu Nov 18 00:11:41 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/checkbox.c, bfu/dialog.c, bfu/dialog.h,
	bfu/hierbox.c, bfu/inpfield.c, bfu/listbox.c, bfu/text.c,
	bfu/widget.c, bfu/widget.h, bookmarks/dialogs.c:

	Explode display_dlg_item() to new display_widget_focused() and
	display_widget_unfocused(), dropping last parameter in favor of a
	new struct dlg_data field named focus_selected_widget.  

Wed Nov 17 23:05:18 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/inpfield.c:

	Revert chunk of last patch that was wrongly committed. Sorry.  

Wed Nov 17 23:02:07 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/inpfield.c, config/options.inc:

	Show button shortcut (first letter of label) using specific colors
	configurable through dialog.button-shortcut-selected,
	dialog.button-shortcut color options.  

Wed Nov 17 22:16:56 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/inpfield.c:

	display_field_do() now return t_handler_event_status.  

Wed Nov 17 22:13:43 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, checkbox.c, inpfield.c, listbox.c, text.c,
	widget.c, widget.h:

	struct widget_ops display: struct widget_data *, struct dialog_data
	* -> struct dialog_data *, struct widget_data *.  

Wed Nov 17 22:07:16 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: checkbox.c, dialog.c, inpfield.c, listbox.c, widget.h:

	struct widget_ops init: struct widget_data *, struct dialog_data *
	-> struct dialog_data *, struct widget_data *.  

Wed Nov 17 22:03:48 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, checkbox.c, dialog.c, inpfield.c, listbox.c,
	text.c, widget.h:

	struct widget_ops mouse: struct widget_data *, struct dialog_data *
	-> struct dialog_data *, struct widget_data *.  

Wed Nov 17 21:59:46 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: dialog.c, hierbox.c, inpfield.c, listbox.c, text.c,
	widget.h:

	struct widget_ops kbd: struct widget_data *, struct dialog_data * ->
	struct dialog_data *, struct widget_data *.  

Wed Nov 17 21:53:52 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: button.c, checkbox.c, dialog.c, widget.h:

	Invert parameters position for select in struct widget_ops, goal is
	to uniformize order of params in most functions ->
	dlg_data,widget_data instead of widget_data,dlg_data.  

Wed Nov 17 21:09:04 2004  Laurent Monin <zas@norz.org>:

	* src/: protocol/auth/dialogs.c, protocol/auth/digest.c,
	sched/session.c, viewer/text/search.c:

	Trim trailing whitespaces.  

Wed Nov 17 21:04:55 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Revert witekfl patch: string.h must be included before elinks.h
	(isdigit issue), it breaks linking.  

Wed Nov 17 19:12:02 2004  Laurent Monin <zas@norz.org>:

	* src/: cookies/dialogs.c, dialogs/download.c, dialogs/edit.c,
	dialogs/options.c, formhist/dialogs.c, globhist/dialogs.c,
	viewer/text/search.c:

	Use t_handler_event_status.  

Wed Nov 17 19:09:36 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Attempt to handle multiple WWW-Authenticate header field. For
	example Outlook Web interface use it.  

Wed Nov 17 19:08:55 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/button.c, bfu/checkbox.c, bfu/dialog.c, bfu/hierbox.c,
	bfu/hierbox.h, bfu/inpfield.c, bfu/inpfield.h, bfu/listbox.c,
	bfu/text.c, bookmarks/dialogs.c, config/dialogs.c:

	Use t_handler_event_status.  

Wed Nov 17 19:07:28 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: dialog.h, widget.h:

	Introduce t_handler_event_status type and change handlers to return
	it (EVENT_PROCESSED/EVENT_NOT_PROCESSED.  

Wed Nov 17 19:05:28 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/viewer/text/view.c:

	string.h must be included before elinks.h (isdigit issue).  

Wed Nov 17 19:04:01 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/osdep/stub.c:

	Missing includes.  

Wed Nov 17 01:24:55 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	dialog_ev_kbd(): call kbd_action() after ops->kbd test.  

Wed Nov 17 01:23:01 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Optimize select_button_by_key() loop by calling
	toupper(get_kbd_key(ev)) once outside the loop.  

Wed Nov 17 01:20:39 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Use temporary variables to shorten lines.  

Wed Nov 17 01:17:25 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Convert action related code from dialog_ev_kbd() to switch().  

Wed Nov 17 01:12:04 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Move code from dialog_ev_kbd() to new select_button_by_key().  

Wed Nov 17 01:07:17 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Reduce code redundancy by introducing select_button_by_flag().  

Wed Nov 17 01:04:04 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Use temporary variable to shorten lines.  

Wed Nov 17 01:01:59 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Split code per action.  

Wed Nov 17 00:58:00 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Check for first letter in button text after checking for action.  

Wed Nov 17 00:54:12 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Check for first letter in button text after checking for action.  

Tue Nov 16 10:32:25 2004  Laurent Monin <zas@norz.org>:

	* src/globhist/globhist.c:

	Drop useless tests in search loop (search_title, search_url are
	non-NULL at this point), add some comments.  

Mon Nov 15 15:08:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/dialogs.c:

	It's always good to leave a little scenting comment close to strange
	looking hacks.  

Mon Nov 15 03:36:04 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/util/snprintf.c:

	Answer zas' question why we cannot use mem_alloc in
	elinks_vasprintf.  The answer: elinks_vasprintf is an alternative to
	vasprintf, which will use malloc. If we changed elinks_vasprintf to
	use mem_alloc, all calls to vasprintf would need to take into
	account whether the ELinks vasprintf was used, in which case we
	would need to mem_free the allocated memory, or whether the system
	vasprintf was used, in which case we would need to use free.  

Mon Nov 15 02:20:44 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/: auth.c, dialogs.c:

	Readd auth entries if the user/password in the URI changes. That is
	punching a URI into the goto dialog with different user/password the
	auth entry will be updated. This also means that auth_ok() needs to
	fakely redirect to a URI with no user/password in order to avoid the
	auth dialog to keep popping up if the user/password is wrong.  

Mon Nov 15 00:58:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/dialogs.c:

	When the auth entry is derived from URIs user/password there may not
	be any realm. Make the auth dialog check that before accessing the
	realm.  

Mon Nov 15 00:57:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.h:

	Don't compare user and password from URIs when finding auth entries.
	It makes HTTP Basic auth work with user/password specified in the
	URI.  

Mon Nov 15 00:54:34 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Fix comma spacing.  

Sun Nov 14 22:54:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	sched/session.c (1.579 -> 1.580) broke reloading completely, so
	revert it.  

Sun Nov 14 22:54:41 2004  Laurent Monin <zas@norz.org>:

	* src/util/conv.h:

	hx() now returns lowercased letters, Hx() was added, and unhx() now
	first test for lowercased letters. It fixes issue with
	convert_hex(), and should not break anything else.  

Sun Nov 14 22:39:49 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/auth/digest.c:

	Optimize convert_hex() and use hx() from conv.h. Please check that
	digest upper/lower case change has no impact.  

Sun Nov 14 22:19:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	digest_calc_response(): Use uri->datalen instead of
	strlen(uri->data) which is wrong when posting.  

Sun Nov 14 22:17:49 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	random_cnonce(): Don't care about MD5()'s return value.  

Sun Nov 14 21:53:38 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, config/m4/features.m4, m4/features.m4:

	Log CONFDIR, LOCALEDIR, CFLAGS and LIBS to features.log 

Sun Nov 14 21:32:18 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/protocol/Makefile.am,
	src/protocol/auth/Makefile.am, src/protocol/http/http.c:

	Check that the GNU TLS OpenSSL compatibility library is available
	before engaging in adding HTTP Digest support. There is no
	libgnutls-openssl configuration helper. Also define
	CONFIG_SSL_DIGEST variable that will be useful when we add our own
	(optional) MD5 implementation.  

Sun Nov 14 21:26:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	Make EL_CHECK_OPTIONAL_LIBRARY() macro more generally useful by
	moving command line argument declaration to new wrapper
	EL_CONFIG_OPTIONAL_LIBRARY().  

Sun Nov 14 19:57:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	Define MD5_DIGEST_LENGTH if it is not. GNU TLS doesn't.  

Sun Nov 14 19:46:50 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Revert part of a logic change involving the checking of HTTP Digest.  

Sun Nov 14 19:42:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/auth.h:

	Describe the boolean members of struct auth_entry.  

Sun Nov 14 19:16:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	convert_hex(): Take a unsigned char buffer with length
	MD5_DIGEST_LENGTH + 1.  

Sun Nov 14 18:57:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/auth.h:

	Only the user, password and host part is supposed to be used in this
	URI. It is mainly a convenient way to store host info so later when
	finding auth entries it can be compared as a reference against the
	current URI that needs to send authorization.  

Sun Nov 14 18:51:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: auth/digest.c, auth/digest.h, http/http.c:

	digest_calc_response(): Take the response URI as an argument. Now
	redirecting and navigation works.  

Sun Nov 14 18:48:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	random_cnonce(): Make it use MD5() so convert_hex() only works on
	buffers with length MD5_DIGEST_LENGTH.  

Sun Nov 14 18:46:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/auth.c:

	Reformat comment.  

Sun Nov 14 18:46:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Avoid URI mismatching in digest requests although redirects are not
	supported.  

Sun Nov 14 18:00:41 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	When reloading use loading_callback and set up a session task so
	that the reloading will work even when the reloaded document
	contains redirects. This is needed atleast when reloading HTTP auth
	document after the user has entered credentials.  
	
	Is there any issues with this? Maybe ses_goto() could be used.  

Sun Nov 14 16:52:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Fix HTTP auth digest compilation when CONFIG_SSL is disabled.  

Sun Nov 14 15:59:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/digest.c:

	s/17/MD5_DIGEST_LENGTH + 1/.  

Sun Nov 14 15:49:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: auth/auth.c, auth/auth.h, auth/dialogs.c,
	auth/digest.c, auth/digest.h, ftp/ftp.c, http/http.c:

	s/http_auth_basic/auth_entry/ now that HTTP digest and FTP uses it
	too.  

Sun Nov 14 15:43:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/auth/: auth.h, digest.c:

	Standardize auth/digest.c header. Only .c files is supposed to
	include elinks.h and if they do it before elinks .h files no .h file
	needs to include elinks.h 

Sun Nov 14 15:39:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: auth/auth.c, http/http.c:

	Add closure to the move of the HTTP basic auth string to the HTTP
	protocol. This was what I meant. It fixes also an uncheck return
	value.  

Sun Nov 14 15:37:22 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/auth/auth.h:

	Fixed includes.  

Sun Nov 14 15:27:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: Makefile.am, auth/Makefile.am, auth/digest.c:

	Only compile and add auth/digest.o when CONFIG_SSL is enabled.  

Sun Nov 14 15:20:28 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/Makefile.am:

	Link with digest.o only when SSL is enabled. Not tested.  

Sun Nov 14 15:18:30 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/auth/digest.c:

	Ansi C fixes.  

Sun Nov 14 15:16:19 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	- Include digest.h only with SSL enabled 

Sun Nov 14 14:28:20 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/auth/: auth.c, auth.h:

	Sorry, forgot about those.  

Sun Nov 14 14:21:58 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Digest auth works for first time for my public_html, but the rest
	needs more work.  

Sun Nov 14 14:17:18 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/: Makefile.am, auth/Makefile.am, auth/digest.c,
	auth/digest.h:

	Digest auth part IV.  

Sun Nov 14 13:43:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Reduce indentation of the digest extraction code.  

Sun Nov 14 11:40:34 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Unify kbdprefix.repeat_count stuff and loops, later it will help.
	Take in account the return value of move_(up|down)() in the loop.  

Sun Nov 14 11:25:22 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	move_(up|down)() now return enum frame_event_status.  

Sun Nov 14 11:21:48 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Digest part III.  

Sun Nov 14 11:10:51 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Use a decimal-compatible prefix count limit: 99999.  

Sun Nov 14 11:02:16 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/: auth/auth.c, auth/auth.h, ftp/ftp.c, http/http.c:

	More preparation for digest auth.  

Sun Nov 14 10:32:55 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/auth/: auth.c, auth.h:

	Preparation for digest authentication.  

Sun Nov 14 10:24:00 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Nov 14 09:11:44 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Sun Nov 14 03:23:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/info.c, document/document.c:

	Report number of refreshing documents by using
	formatted_info(INFO_TIMERS).  

Sun Nov 14 03:14:11 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	Resource dialog: 'Document cache: %d formatted, %d locked' is
	shorter and hopefully more precise.  

Sun Nov 14 03:10:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	Climb mount bloat and plant a oneliner in the resource dialog
	informing about terminal status, interlinked terminals and number of
	sessions.  

Sun Nov 14 02:53:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	Resource info dialog: Make the allocated memory info a one liner and
	show the truly allocated values as 'overhead' in bytes and
	percentage.  

Sun Nov 14 02:43:34 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	s/get_ressource_info/get_resource_info/.  

Sun Nov 14 02:42:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	get_ressource_info(): Tidy up.  

Sun Nov 14 02:41:11 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	Resource info dialog: The 'Cache size' can be derived from the
	'Memory cache' lines first entry so ditch it.  

Sun Nov 14 01:14:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/: info.c, menu.c:

	Merge the Resource and Memory info dialogs. Makes it easier to check
	what happends when testing on mangle.cgi. Plus I never really saw
	the point of having those two separated.  

Sun Nov 14 01:02:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	get_ressource_info(): Use string utils instead of msg_text().  

Sun Nov 14 00:15:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	do_action(): Update comments.  

Sun Nov 14 00:11:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	do_action(): Alphabetize action handling in the switch. Quit the
	default label.  

Sat Nov 13 21:51:35 2004  Laurent Monin <zas@norz.org>:

	* src/sched/action.c:

	When CONFIG_MARKS is undefined, do not set status to
	FRAME_EVENT_REFRESH, just use the default which is FRAME_EVENT_OK.  

Sat Nov 13 20:27:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	do_action(): Don't touch the @ses variable if the status is
	FRAME_EVENT_SESSION_DESTROYED. Maybe it was causing bug 563.  

Sat Nov 13 20:10:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/README:

	Try to rewrite and complement a few sections.  

Sat Nov 13 13:33:50 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* configure.in:

	Check for isdigit.  

Sat Nov 13 13:31:54 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/osdep/: stub.c, stub.h:

	Own definition of isdigit.  

Sat Nov 13 13:09:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Safety boots required when entering do_action().  

Sat Nov 13 02:22:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c:

	Fix missing linebreak when ending a list efter an empty list item.  

Fri Nov 12 22:54:45 2004  Laurent Monin <zas@norz.org>:

	* src/sched/action.c:

	FRAME_EVENT_OK is the default, so drop useless assignment.  

Fri Nov 12 22:49:26 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	move_document_(start|end)() now return enum frame_event_status.  

Fri Nov 12 22:20:01 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	move_link() and move_link_(next|prev)() now return enum
	frame_event_status.  

Fri Nov 12 22:10:24 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	move_link_(dir|up|down|left|right) now return enum
	frame_event_status.  

Fri Nov 12 22:01:08 2004  Laurent Monin <zas@norz.org>:

	* src/sched/action.c:

	Reduce indentation level.  

Fri Nov 12 21:52:48 2004  Laurent Monin <zas@norz.org>:

	* src/sched/action.c:

	Simplify things a bit using variables @anonymous and @has_vs.  

Fri Nov 12 21:32:20 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Fix (horizontal|vertical)_scroll(), they must return
	FRAME_EVENT_REFRESH when doc_view->vs->(x|y) were modified. Spotted
	by Miciah.  

Fri Nov 12 17:33:19 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	move_page_(up|down)() now return enum frame_event_status.  

Fri Nov 12 17:28:39 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/: view.c, view.h:

	move_(up|down)() were made static.  

Fri Nov 12 17:24:44 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	move_cursor(): reflect changes related to
	(horizontal|vertical)_scroll(). Please check carefully.  

Fri Nov 12 17:19:10 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Propagate (horizontal|vertical)_scroll_() changes.  

Fri Nov 12 17:15:29 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	(horizontal|vertical)_scroll_() now return enum frame_event_status.  

Fri Nov 12 17:11:36 2004  Laurent Monin <zas@norz.org>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	scroll_*() now return enum frame_event_status. Related changes to
	do_action() were made.  

Fri Nov 12 17:03:51 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	scroll_mouse_*() now return an enum frame_event_status.
	frame_ev_mouse() was modified to reflect that.  

Fri Nov 12 16:48:30 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	frame_ev_mouse(): clear things a bit, behavior unchanged.  

Fri Nov 12 16:24:52 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	frame_ev_kbd(): just return FRAME_EVENT_IGNORED at the end.  

Fri Nov 12 16:16:22 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	frame_ev_kbd(): cache value of document.browse.accesskey.priority
	option.  

Fri Nov 12 16:10:23 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	move_link(): do not test twice for current_link == wraparound_bound.  

Fri Nov 12 16:07:35 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	move_link(): Get document.browse.links.wraparound option value only
	once and only if needed.  

Fri Nov 12 13:45:59 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	Prevent an assertion failure in ecmascript_eval() (bug 558), may be
	incorrect. Pasky please check.  

Fri Nov 12 11:20:02 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	send_kbd_event(): attempt to make code clearer. @doc_view == NULL
	case looks like to not be handled in last part.  

Fri Nov 12 11:06:28 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	send_kbd_event(): let code breath a bit, @m -> @win.  

Fri Nov 12 10:52:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/file.c:

	stat_size(): Fix typo and improve the comment.  

Fri Nov 12 10:06:15 2004  Laurent Monin <zas@norz.org>:

	* src/globhist/globhist.c:

	Increase the size of input buffer to a more reasonable value.  

Fri Nov 12 09:49:04 2004  Laurent Monin <zas@norz.org>:

	* src/: cookies/cookies.c, globhist/globhist.c, util/time.h,
	util/ttime.h:

	Introduce str_to_ttime() wrapper instead of using atol() directly,
	since this one is surely non portable as Miciah told.  

Fri Nov 12 09:42:22 2004  Laurent Monin <zas@norz.org>:

	* src/globhist/globhist.c:

	read_global_history(): cleanup and code simplification.  

Fri Nov 12 09:38:43 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Move @cookies_nosave setting outside the while() loop.  

Fri Nov 12 02:39:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/file.c:

	stat_size(): Tidyup the unsigned long cast. Try to explain the two
	ulongcat() calls that Miciah was pondering about.  

Fri Nov 12 02:26:11 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/file.c:

	stat_size(): Fix bad logic involving checking unsigned long
	overflow.  

Thu Nov 11 20:31:38 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/text.c:

	#undef is_unsplitable after it has fulfilled its purpose.  

Thu Nov 11 20:29:40 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/menu.c:

	In draw_menu_left_text_hk, transform |x < w + !!hk_state| to |x -
	!!hk_state < w| to better represent the abstract condition: the
	co-ordinate of the character to be printed must be less than the
	width of the available space, and if there was a hotkey marker, do
	not count it towards that co-ordinate.  

Thu Nov 11 20:20:39 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/menu.c:

	In draw_menu_left_text_hk, rename the local variable hk to hk_state 
	to better indicate its usage.  

Thu Nov 11 19:50:38 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Nov 11 19:40:08 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/inpfield.c:

	In kbd_field, after handling the copy-clipboard action, return
	EVENT_PROCESSED rather than EVENT_NOT_PROCESSED.  

Thu Nov 11 19:31:09 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Thu Nov 11 19:05:30 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/cookies/cookies.c:

	In del_from_cookie_list, drop the local variable tmp and instead
	operate directly on the passed pointer.  

Thu Nov 11 19:04:39 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/cookies/cookies.c:

	Halve the indirection to the cookie passed to del_from_cookie_list.  

Thu Nov 11 19:02:26 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/cookies/cookies.c:

	Substitute foreachsafe for foreach where the loop calls
	del_from_cookie_list.  

Thu Nov 11 18:59:00 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	Drop an extra newline at the end of the same option description.  

Thu Nov 11 18:58:02 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	Change the description of terminal._template_.colors not to
	erroneously indicate that the environment variable TERM must have a
	certain value for 256 color support and instead just to say that
	ELinks will use XTerm RGB codes.  

Thu Nov 11 00:07:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	How embarressing that these ancient encoding macros are still in
	use. Vive la CONFIG_*.  

Wed Nov 10 23:49:34 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Add some probation code for detecting infinite loops in URI
	translation. Idea by lindi-, which apparently doesn't trust the
	current code much. ;) 

Wed Nov 10 23:16:06 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Rearrange the code where the strange bug 559 fails.  

Wed Nov 10 22:41:39 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Introduce del_from_cookie_list() and reduce code redundancy.  

Wed Nov 10 22:19:42 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	accept_cookie(): @d -> @c, @e -> @tmp and make them more local.  

Wed Nov 10 22:17:36 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	accept_cookie(): @c -> @cookie.  

Wed Nov 10 22:10:04 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	send_cookies(): minor cleanup.  

Wed Nov 10 22:09:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Pop up 'Bad URL' error dialog if get_hooked_uri() returns NULL for
	non-remote sessions instead of bailing out. It was reproducable when
	passing URIs like http://?.  

Wed Nov 10 21:53:04 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: uri.c, uri.h:

	Bail out if host is missing and slash after host is missing. Should
	fix bug 561 about infinite loop in translate_url().  

Wed Nov 10 21:31:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Decode the URI string used for titles.  

Wed Nov 10 21:30:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/renderer.c:

	Decoded any document title derived from an URI string. Add check for
	allocation failure.  

Wed Nov 10 21:22:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, document/renderer.c, protocol/data.c,
	protocol/uri.c, protocol/uri.h, protocol/file/cgi.c,
	protocol/file/file.c, protocol/gopher/gopher.c, sched/download.c,
	viewer/text/link.c:

	Make decode_uri_string() take {struct string *} arg and introduce
	decode_uri() which just takes char pointer. Should make it a little
	easier to figure out.  

Wed Nov 10 21:20:44 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	Fix typo in comment.  

Wed Nov 10 21:08:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: gopher/gopher.c, nntp/connection.c,
	nntp/response.c:

	Remove unneded system #includes.  

Wed Nov 10 20:06:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Improve handling of URI_ERRNO_NO_SLASHES to check how many slashes
	is missing.  

Wed Nov 10 20:00:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Fix off by one error in the URI sanitizers.  

Wed Nov 10 19:57:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: uri.c, uri.h:

	Trim trailing '.'s in the host component of URIs.  

Wed Nov 10 19:24:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	is_domain_security_ok(): Test if @domain is a 'complete' substring
	of @server by comparing the lengths of the two strings. Eliminates
	one strncasecmp().  

Wed Nov 10 19:15:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	is_domain_security_ok(): Simplify the test of @domain being a
	substring of @server.  

Wed Nov 10 18:39:44 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	s/uncompress/decompress/ Even smaller first read in decompress_data.
	If this doesn't help code will need rewrite.  

Wed Nov 10 17:43:01 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Clarify is_in_domain().  

Wed Nov 10 17:26:27 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Rename check_domain_security() to is_domain_security_ok(). Idea by
	Lindi.  

Wed Nov 10 17:21:52 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Fix wrong returned value in check_domain_security().  

Wed Nov 10 17:20:01 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Fix wrong format string in cookies debugging code.  

Wed Nov 10 16:47:26 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/win32/win32.c:

	Minor space tidyup.  

Wed Nov 10 16:46:30 2004  Jonas Fonseca <fonseca@diku.dk>:

	* AUTHORS, src/dialogs/menu.c, src/sched/download.c:

	URL decode filenames when saving. Patch by Omar Khayam
	<omark@cyentec.com>.  

Wed Nov 10 15:58:01 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Simplify cookie loading code, and fix debugging cookie code (causing
	segfault).  

Wed Nov 10 15:47:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: protocol/ftp/ftp.c, sched/download.c:

	Remove silly |return;| statements at end of functions.  

Wed Nov 10 15:44:27 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/conv.c:

	Let arithmic operators breathe.  

Wed Nov 10 12:25:18 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Use intermediate variable @path to shorten lines.  

Wed Nov 10 12:16:41 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	cookie->secure is 0 by default so no need to set again.  

Wed Nov 10 12:11:40 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Code related to cookie expiration was rewritten and simplified,
	preventing useless allocation when max_age is 0.  

Wed Nov 10 11:39:21 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Minor tidy up.  

Wed Nov 10 11:06:35 2004  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, cookies/cookies.c, dialogs/options.c,
	protocol/data.c, protocol/http/http.c, protocol/http/http.h,
	protocol/smb/smb.c, sched/connection.c, util/conv.c:

	Whitespaces fixes.  

Tue Nov  9 14:42:42 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Reduce code redundancy by introducing move_cursor_rel().  

Tue Nov  9 13:59:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/nntp/response.c:

	Markup the shown NNTP headers with <b> instead of <i>.  

Tue Nov  9 13:56:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Align the search input-field with the rest of the gopher menu text.
	Shorten the searchable gopher index page.  

Tue Nov  9 12:21:38 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/header.c:

	Rewrite parse_header() to be more tolerant about header syntax,
	especially tab chars and separators. It should partially fix bug
	439. Please test heavily.  

Tue Nov  9 05:47:19 2004  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Translation update.  

Tue Nov  9 01:39:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Only encode slashes if there are two successive ones. It gets too
	ugly with %2F's in globhist.  

Tue Nov  9 01:02:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Add support for gopher index searching by introducing a little
	(HTTP) GET method extension. Now a text-input form-field is shown
	for gopher index menu entries and index pages.  

Tue Nov  9 00:33:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Fix off by one error in the query string calculation.  

Mon Nov  8 23:51:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Fix issue with handling links like
	gopher://gopher.floodgap.com/hURL:http://www.floodgap.com/ where the
	slashes in the selector apparently has to be encoded as well.  

Mon Nov  8 22:15:24 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	Update elinks(1) manpage with new names of options. Head-shakingly
	ignoring that alot of new options are not listed. ;) 

Mon Nov  8 22:11:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c:

	Don't declare hidden options as unknown. All of them are handled by
	the redir_cmd(). Fixes problem with -stdin mentioned in bug 557 so
	it now warns about it being deprecated.  

Mon Nov  8 21:55:12 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/draw.c:

	Restart the document refreshing when rerendering.  

Mon Nov  8 20:16:49 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c:

	I think this is a fix for incorrect generating of title. It does not
	cause crash, but excessive memory allocation. Part of mikulas batch
	of fixes in links-1.0pre12 for bugs discovered with mangleme
	<http://lcamtuf.coredump.cx/mangleme/mangle2.cgi>.  

Mon Nov  8 19:41:04 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/signals.c:

	Use pid_t for storing return value of getpid().  

Mon Nov  8 19:37:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/lowlevel/signals.c:

	Fixed bad error codes because of errno modified by signal handler.
	Patch by user in links-1.0pre9.  

Mon Nov  8 19:27:22 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listmenu.c, bfu/menu.c, bfu/style.c,
	document/html/renderer.c, document/sgml/scanner.c,
	mime/backend/common.c, mime/backend/mimetypes.c, modules/module.c,
	modules/module.h, osdep/newwin.c, protocol/uri.c:

	19:38 < Miciah> We have several foreach macros that follow a pattern
			of |for (...) if (...)| or |foreach (...) if (...)|.  
			That will not work so well when somebody does: 
			if (frink) foreach_foo (x, y) frob(x); else wooble; 
	
	... so I made this patch that puts {} to reduce ambiguity.  

Mon Nov  8 19:15:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c:

	Reset the ses->redirect_cnt in ses_goto() rather than in do_move() 
	and make it depend on the @redir variable. It apparently fixes a bug 
	triggered when clicking on broken links that after five times would 
	display the redirect itself.  
	
	Patch by user in links-1.0pre5.  

Mon Nov  8 17:04:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: encoding/encoding.c, util/file.c:

	Fix overflow when accessing local files >= 2G. Patch by user in
	links-1.0pre9.  

Mon Nov  8 16:47:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Allow '@' in the password URI-component. Patch by user in
	links-1.0pre5.  

Mon Nov  8 16:15:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in, src/osdep/stub.c, src/osdep/stub.h:

	Add stub function for raise(). Inspired by Wojciech Puchar
	<wojtek@tensor.3miasto.net>'s 'Portability fixes for SunOS' in
	1.0pre11.  

Mon Nov  8 15:52:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/event.c:

	Make sure the user is notified if initialization of the first
	session fails.  

Mon Nov  8 15:42:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: osdep/osdep.c, osdep/beos/beos.c, osdep/win32/win32.c,
	protocol/file/cgi.c, protocol/smb/smb.c:

	Use pid_t for storing return value of fork(). Inspired by Mikulas in
	1.0pre9.  

Mon Nov  8 15:36:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/main.c:

	Introduce check_cwd() that will chdir(getenv("HOME")) if CWD cannot
	be stat()'ed. Inspired by Mikulas in 1.0pre9.  

Mon Nov  8 14:57:59 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/dump/dump.c:

	Remove code for reporting 'URL expected after -{dump,source}' errors
	that was not working correctly after the introduction of URL list
	support. It was duplicated in src/main.c (1.223 -> 1.224).  

Mon Nov  8 14:24:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/encoding/encoding.c:

	It looks like the workaround for reading zero bytes to invalid
	address on Linux by adding one byte is not needed anymore. Inspired
	by Mikulas in the links-1.0pre9.  

Mon Nov  8 03:36:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/color.c:

	decode_color(): Another small sanity check for strtoul() return
	value. Inspired by Mikulas in the links-1.0 prereleases.  

Mon Nov  8 02:57:38 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/parse.c:

	get_width(): Add sanity check for strtoul() return value. Inspired
	by Mikulas in the links-1.0 prereleases.  

Mon Nov  8 02:43:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/osdep/unix/unix.c:

	Add sanity check for GPM coordinate calculation. Inspired by Mikulas
	in the links-1.0 prereleases.  

Mon Nov  8 02:12:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c:

	Make it hopefully a little easier to see what is going one with the
	CR-LF concatenation.  

Mon Nov  8 01:57:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/main.c:

	Report 'URL expected after -{dump,source}' error. Inspired by
	Mikulas in the links-1.0 prereleases.  

Mon Nov  8 01:38:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Fix wrong HTTP error code reporting when server returns 204. Patch
	by Mikulas; backported from links-1.0 prereleases.  

Mon Nov  8 01:28:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/charsets.c:

	Tidyup from links-1.0 prereleases.  

Mon Nov  8 00:31:27 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/forms.c:

	html_select(): Fix leak when two <select multiple=elements> appears
	successively. (bug 552) 

Sun Nov  7 17:39:45 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Smaller first read. If you still get garbage make it smaller.  

Sun Nov  7 13:27:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Guard do_frame_action() calls with checks for doc_view->vs as it is
	asserted to be non-NULL.  

Sun Nov  7 09:25:50 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/form.c:

	Minor code simplification.  

Sun Nov  7 00:23:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/Makefile.am:

	Add the spidermonkey patch to EXTRA_DIST.  

Sat Nov  6 13:48:13 2004  Laurent Monin <zas@norz.org>:

	* doc/small.txt:

	Small/static ELinks compilation guide was updated a bit.  

Sat Nov  6 13:40:01 2004  Laurent Monin <zas@norz.org>:

	* src/osdep/unix/unix.c:

	Do not try to include gmp.h header file when --without-gpm is used.  

Fri Nov  5 23:02:28 2004  Laurent Monin <zas@norz.org>:

	* src/sched/download.c:

	Minor code cleanup.  

Fri Nov  5 15:35:50 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	fastfind_new_cnode() was renamed compress_node(),
	fastfind_node_compress() was renamed compress_tree().  

Fri Nov  5 15:31:08 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Move code from fastfind_node_compress() to new fastfind_new_cnode(),
	and add number of compressed nodes to debug output.  

Fri Nov  5 06:00:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Factor common code in is_in_range_regex and get_searched_regex out
	to the new get_search_region_from_search_nodes, which copies the
	characters from a range of search nodes, adds new-line characters, 
	and returns the new string.  

Fri Nov  5 03:50:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Remove an obsolete TODO for reporting regex compilation errors.  

Fri Nov  5 03:32:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, protocol/protocol.c,
	protocol/smb/smb.c, protocol/smb/smb.h:

	Add SMB protocol module.  

Thu Nov  4 21:10:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: lowlevel/connect.c, lowlevel/connect.h,
	protocol/file/cgi.c, protocol/finger/finger.c,
	protocol/gopher/gopher.c, protocol/http/http.c,
	protocol/nntp/connection.c, ssl/connect.c:

	Try to document read_buffer->close by introducing read_buffer_close
	enum.  

Thu Nov  4 17:17:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/navigator.h:

	Bump DOM_NAVIGATOR_MAX_DEPTH to 4096 making it highlight
	http://www.usdoj.gov/atr/cases/f1900/1914.htm more correctly.  

Thu Nov  4 17:14:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/navigator.c:

	push_dom_node(): Don't call done_dom_node(@node) when navigator
	depth is bigger than DOM_NAVIGATOR_MAX_DEPTH. It is the
	responsibility of the caller. Fixes crash on
	http://www.usdoj.gov/atr/cases/f1900/1914.htm caused by the current
	SGML parser naively expects closing tags.  

Thu Nov  4 14:22:06 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/dom/navigator.c:

	Fix callback extractions and add assertion about the DOM node type.  
	
	It looks like http://www.usdoj.gov/atr/cases/f1900/1914.htm is
	creating corruption in the navigator.  

Thu Nov  4 13:44:59 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10pre3.CVS 

Thu Nov  4 13:17:51 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	0.10pre3 

Thu Nov  4 13:15:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	Sync .po files.  

Thu Nov  4 13:10:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Fix version.  

Thu Nov  4 13:07:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/tools/help2doc:

	Fix elinks version extraction.  

Thu Nov  4 13:02:16 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Thu Nov  4 12:50:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	Alphabetize Makefile creation.  

Thu Nov  4 09:59:55 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/header.c:

	Add comments and documentation related to bug 549.  

Wed Nov  3 18:03:57 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Clarify things related to LF+NUL termination chars, and prevent a
	potential bug.  

Wed Nov  3 17:48:25 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Properly close sockets in case of init_string() failure, may be
	useless in that case but cleaner.  

Wed Nov  3 17:40:35 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Move code from end_smb_connection() to new parse_smbclient_output().  

Wed Nov  3 17:20:36 2004  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Use intermediate variable of type struct uri * to shorten lines.  

Wed Nov  3 17:19:21 2004  Laurent Monin <zas@norz.org>:

	* src/util/string.c:

	Reduce indentation level, tidy up.  

Wed Nov  3 11:16:05 2004  Laurent Monin <zas@norz.org>:

	* src/util/string.c:

	straconcat(): do not call memcpy() if there is nothing to copy.  

Wed Nov  3 11:12:02 2004  Laurent Monin <zas@norz.org>:

	* src/util/string.c:

	Optimize straconcat() a bit using memcpy() instead of strcat().  

Tue Nov  2 09:34:09 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/msgbox.c:

	Minor tidyup, reduce indentation level.  

Mon Nov  1 22:22:42 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/: options.h, options.inc:

	A few gcc-4 compatibility fixes from Kalle Olavi Niemitalo
	<kon@iki.fi>.  

Sat Oct 30 02:21:43 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	When performing a type-ahead search on document text, do not rewind
	just because the search wrapped.  

Fri Oct 29 23:07:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c:

	Fix leak when ecmascript is disabled.  

Fri Oct 29 20:07:08 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c:

	Fix insert mode resetting when submitting text-input form-field.
	Introduced in 1.244 and spotted by Mr. Timo Lindfors.  

Thu Oct 28 16:20:27 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Simplify code by using new struct ff_data.  

Wed Oct 27 22:35:05 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser/parse.c, intl/charsets.c,
	util/color.c, util/fastfind.c, util/fastfind.h:

	Make FastFind more data-driven. Patch by Jonas and me.  

Wed Oct 27 20:18:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/: parser.c, parser/link.c:

	Remove unneeded #includes.  

Wed Oct 27 17:21:14 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Modify example to reflect recent changes in fastfind API.  

Wed Oct 27 17:17:45 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser/parse.c, intl/charsets.c,
	util/color.c, util/fastfind.c, util/fastfind.h:

	Use a flags parameter of new type enum fastfind_flags instead of two
	parameters of type integer for fastfind_index().  

Wed Oct 27 16:57:01 2004  Laurent Monin <zas@norz.org>:

	* src/util/: fastfind.c, fastfind.h:

	Drop fastfind_index_compress(), and make fastfind_index() call
	fastfind_node_compress() directly.  

Wed Oct 27 16:52:51 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser/parse.c, intl/charsets.c,
	util/color.c, util/fastfind.c, util/fastfind.h:

	Add a @compress parameter to fastfind_index() and let it call
	fastfind_index_compress() before returning.  

Wed Oct 27 16:45:28 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Make fastfind_node_compress() static.  

Wed Oct 27 16:38:10 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Rename label |alloc_error| to |return_error| since we may go to it
	on errors which are not allocation errors.  

Wed Oct 27 15:11:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Add data the conventional way if rb->close == 2, so the HTML
	document ending is added but ensure that the connection is shutdown
	afterwards.  

Wed Oct 27 15:04:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/gopher/gopher.c:

	Fix assertion failure when get_gopher_entity_description() returns
	NULL. Fix error response message hyperlinking.  

Tue Oct 26 21:36:38 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Fix comment.  

Tue Oct 26 21:32:35 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Optimize pointers/keylen_list allocation: alloc_pointers() does it
	in one step using info->count obtained by precedent loop, simplify
	add_to_pointers().  

Tue Oct 26 21:04:49 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Group debugging code.  

Tue Oct 26 20:52:26 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Move debug code from fastfind_search() to new FF_DBG_search_stats().  

Tue Oct 26 17:03:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/tab.c:

	Revert 1.77 and 1.78. It is reversing tab placement.  

Mon Oct 25 20:31:16 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Trivial cleanup: tab/space fixes, move iterator initialization to
	for(), move debug code from fastfind_done() to new
	FF_DBG_dump_stats().  

Mon Oct 25 20:08:45 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	fastfind_index(): minor cleanup, drop useless @j, move comment near
	ifcase().  

Mon Oct 25 19:41:01 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/tab.c:

	How does it behave now? 

Mon Oct 25 19:14:01 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/tab.c:

	Keep tabs together in term->windows. Fixes problems with stuck
	dialogs when new tab was opened over them. Hoefpully.  

Mon Oct 25 19:10:14 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/: event.c, window.c:

	Reverted my tab/window ordering hacks resulting in sometimes bad
	behaviour, as suggested by Jonas. I figured a wrong solution to my
	problem.  

Mon Oct 25 16:00:55 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Improve fastfind debug output a bit.  

Mon Oct 25 15:52:32 2004  Laurent Monin <zas@norz.org>:

	* src/util/fastfind.c:

	Use memchr() in char2idx() and reduce code redundancy a bit.  

Mon Oct 25 12:56:38 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: ecmascript/spidermonkey.c, terminal/terminal.h:

	Define ENV_ANY value.  

Mon Oct 25 12:41:58 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/ecmascript/spidermonkey.c:

	window_open(): Simplify URI unreferencing and fix a bug.  

Mon Oct 25 10:29:55 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Minor optimization: move @size test before the loop.  

Mon Oct 25 10:20:35 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Drop useless parenthesis.  

Mon Oct 25 10:16:43 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Move code from new_cell() to new copy_table().  

Mon Oct 25 09:59:09 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Optimize copy of cells to new table in new_cell(): copy rows by rows
	instead of cells by cells, it speedups things a lot.  

Mon Oct 25 09:06:01 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Oct 23 12:49:18 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Sat Oct 23 11:40:30 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/window.c:

	Add windows to the top of the stack, not at the near-bottom.  

Sat Oct 23 11:06:03 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/: event.c, window.c:

	Properly handle having windows open inside of inactive tabs (that's
	the case for window.open() in conjuction with window.alert() or
	javascript errors).  

Sat Oct 23 10:04:40 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Whatever that JS_ClearPendingException() is good for... Moz has it.  

Sat Oct 23 09:53:27 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	FIXME about the real need to keep adjectent links as separate links
	now since we got event handlers.  

Sat Oct 23 09:53:02 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser/forms.c:

	html_focusable() only the new element created for the form control;
	this makes the event handlers to work.  

Sat Oct 23 09:48:10 2004  Petr Baudis <pasky@ucw.cz>:

	* test/ecmascript/ontest.html:

	Some simple event hooks test.  

Sat Oct 23 08:04:03 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/renderer.c, document/css/css.c, sched/session.c:

	Try to break ELinks completely again by also checking for redirected
	scripts/CSSes properly.  

Sat Oct 23 07:54:27 2004  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/cookies.h:

	Fix misleading send_cookies() description.  

Sat Oct 23 00:01:34 2004  Laurent Monin <zas@norz.org>:

	* src/cookies/cookies.c:

	Slightly reduce code redundancy, introducing free_cookies_list().  

Fri Oct 22 23:55:28 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/: string.c, string.h:

	Register the caller of init_string() when memory leak debugging is
	enabled. Makes it much easier to locate leaks.  

Fri Oct 22 23:53:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/ecmascript/spidermonkey.c:

	The cookie string is allocated so use JSPT_ASTRING as the property
	type.  

Fri Oct 22 20:15:05 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/html/renderer.c, document/html/parser/forms.c,
	viewer/text/form.c, viewer/text/form.h:

	Button (known as FC_BUTTON) is now a good member of the form
	controls community! We want it to live as a regular button now
	because there may be event hooks on it. (And I never really liked
	magic executed on it.) 

Fri Oct 22 18:49:21 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	s/exception/<appropriate_desc>/ for linebufless js errors too.  

Fri Oct 22 18:47:24 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	JS_ClearPendingException() at the tail of error reported. This
	might've helped with carrying over those exceptions, but it doesn't
	quite work yet, seemingly.  

Fri Oct 22 10:39:19 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Move code from parse_table_attributes() to new set_table_rules(),
	reducing indentation and clarifying code.  

Fri Oct 22 10:36:18 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Move code from parse_table_attributes() to new set_table_frame(),
	reducing indentation and clarifying code.  

Fri Oct 22 10:16:41 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Reduce indentation level.  

Fri Oct 22 09:56:41 2004  Laurent Monin <zas@norz.org>:

	* src/document/renderer.c, src/ecmascript/spidermonkey.c,
	src/protocol/http/README.timegm, NEWS:

	Remove trailing spaces.  

Fri Oct 22 07:59:43 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/stack.c:

	Introduce kill_element() and drop two gotos.  

Fri Oct 22 07:36:40 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Enhance error reporting to report what kind of thing it actually is,
	and SetOptions VAROBJFIX and COMPILE_N_GO, which should improve
	things and fix language-wise buggy behaviour. Sorry for combining
	those two trivial patches, I'm in hurry.  

Thu Oct 21 23:22:00 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/ecmascript.c:

	If allocating vs->ecmascript doesn't work out, set
	vs->ecmascript_fragile so that we try again the next time.  

Thu Oct 21 23:18:39 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/ecmascript.c:

	doc_view->vs->ecmascript is on-demand.  

Thu Oct 21 23:11:55 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	In delayed_goto(), deg->vs->doc_view might get NULL.  

Thu Oct 21 23:11:31 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Some semi-dirty document.cookie support.  

Thu Oct 21 21:18:37 2004  Petr Baudis <pasky@ucw.cz>:

	* src/main.c:

	Prevent ECMAScript code execution when using -dump or -source.
	Magically fixes bug 538.  

Thu Oct 21 21:01:06 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	TODO: Provide info about script event hooks too.  

Thu Oct 21 20:54:22 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/document.c, document/document.h,
	document/html/parser.c, document/html/parser.h,
	document/html/renderer.c, document/html/parser/stack.c,
	viewer/text/link.c:

	Theoretical (not much tested and not always working) support for
	onClick, onDblClick, onMouseOver, onHover, onFocus, onMouseOut and
	onBlur ECMAScript events on focusable elements.  

Thu Oct 21 20:52:52 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	Fix a virtually possible crash if a sub-frame referenced a top frame
	while the top frame had no ecmascript handle, since the ecmascript
	handles are now created on-demand.  

Thu Oct 21 20:50:26 2004  Petr Baudis <pasky@ucw.cz>:

	* src/ecmascript/spidermonkey.c:

	window.<blahblah> now tries to resolve blahblah as frame id and
	returns the appropriate one's reference if found. Finally fixes
	http://www.cinema-ostertor.de/.  

Thu Oct 21 17:36:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	s/port_end == host_end/uri->portlen == 0/ is more clear.  

Thu Oct 21 17:03:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: uri.c, uri.h:

	Remove ':' from URIs when no port number follows using
	URI_ERRNO_NO_PORT_COLON error value. Hmm maye we should consider
	loosing up the URI comparison on the other hand it is nice to have
	these trivial error show up.  

Wed Oct 20 17:55:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* config/m4/gettext.m4, config/m4/iconv.m4, m4/gettext.m4,
	m4/iconv.m4:

	Append LIBICONV to LIBS instead of INTLLIBS. It was causing
	dependency problems when linking. Brougt up by Nelson H. F. Beebe
	<beebe@math.utah.edu>.  

Wed Oct 20 16:19:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* config.guess, config.sub, config/config.guess, config/config.sub:

	Update with versions from cvs HEAD. Fixes configuration on even more
	platforms. Mentioned by Nelson H. F. Beebe <beebe@math.utah.edu>.  

Wed Oct 20 11:09:34 2004  Laurent Monin <zas@norz.org>:

	* src/: setup.h, document/html/parser/table.c:

	Limit max. memory used for table cells, and abort table parsing on
	cell allocation failure. It prevents eating of all memory in case
	where number of columns and/or rows is very high.
	HTML_MAX_CELLS_MEMORY is set to 32Mb by default.  

Wed Oct 20 08:16:35 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/forms.c:

	Replace nul char if any by a space in html_option(), it prevents bad
	things. Revealed by remangle.cgi?0x14aa2da9.  

Wed Oct 20 01:27:02 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/action.c:

	In do_action, return FRAME_EVENT_REFRESH when handling 
	ACT_MAIN_MARK_GOTO or ACT_MAIN_MARK_SET so that the user will get
	those nice 'Enter a mark to set' and 'Enter a mark to which to jump"
	messages (see src/dialogs/status.c revision 1.80). Prior to revision 
	src/viewer/text/view.c revision 1.612, this refresh was handled by 
	send_to_frame, which calls frame_ev, which calls frame_kbd_ev, which
	had handled the aforementioned key actions.  

Tue Oct 19 23:38:24 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/download.c:

	In tp_show_header, drop the code to open a new connection and just
	use |type_query->cached|.  

Tue Oct 19 19:23:35 2004  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/protocol.c:

	Fix the typo fix.  

Tue Oct 19 19:19:39 2004  Petr Baudis <pasky@ucw.cz>:

	* features.conf:

	Trim a ridiciously huge FTP description.  

Tue Oct 19 18:29:17 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/memory.h:

	Undefine CRASH_IF_ALLOC_MAXTRIES by default (then we might give up
	on all our error handling whatsoever) and lower ALLOC_MAXTRIES to 3
	(makes no sense to try more times).  

Tue Oct 19 17:21:03 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Tue Oct 19 14:38:00 2004  Laurent Monin <zas@norz.org>:

	* src/util/: memdebug.c, memory.c, memory.h:

	Define CRASH_IF_ALLOC_MAXTRIES by default, ALLOC_MAXTRIES was
	increased from 3 to 5, ALLOC_DELAY from 1 to 3 seconds. Minor
	tidyup.  

Tue Oct 19 12:46:37 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser/table.c:

	Check if @span_cell is NULL before using it.  

Tue Oct 19 10:24:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser/table.c:

	Also put an upper limit on <col span=value> and <colgroup
	span=value>. Fixes mozilla_die3.html in the browser test suite of
	horror.  

Tue Oct 19 09:35:30 2004  Laurent Monin <zas@norz.org>:

	* src/mime/backend/mimetypes.c:

	Prevent assertion failure in get_hash_item(), do not call it when
	extensionlen==0.  

Tue Oct 19 09:23:50 2004  Laurent Monin <zas@norz.org>:

	* src/: setup.h, document/html/parser/table.c:

	Limit rowspan/colspan values to HTML_MAX_(ROWSPAN|COLSPAN) set to
	32768 by default. It prevents crash reported at
	
	http://www.securityfocus.com/archive/1/378632/2004-10-16/2004-10-22/0, using links_die1.html.

Tue Oct 19 08:40:21 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	An assertion was disabled, it is triggered when checkboxes are
	pressed in bugzilla. Please recheck this one.  

Tue Oct 19 08:32:54 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/dump/dump.c:

	When saving formatted documents skip trailing spaces, fix bug 544.  

Tue Oct 19 08:09:17 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Tue Oct 19 06:02:41 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	In cached_header_dialog, introduce the local variable |title| to fit
	the call to msg_box at the end of the routine within the confines of
	an eighty-column terminal without violating the unspoken rule that
	calls to msg_box must put the title and its alignment flag on the
	same line.  

Tue Oct 19 05:54:47 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Give some comments that native-English-speaker touch.  

Tue Oct 19 05:50:53 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Remove an extra space.  

Tue Oct 19 05:48:32 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	If there is nothing left after removing all CRs and trailing
	newlines, display the 'No header info' box instead of an empty
	'Header info' box.  

Tue Oct 19 05:46:04 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Rework some gotos to save some indentation and simplify the code.  

Tue Oct 19 05:40:43 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Delete an extra space.  

Tue Oct 19 05:40:04 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Move the allocation of |headers| to slightly simplify memory
	management and to allow it to be localised.  

Tue Oct 19 05:34:38 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Reduce intentation in cached_header_dialog by swapping an if block 
	and its implicit else block and adding a little goto magic.  

Tue Oct 19 05:28:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Fix missing '#ifndef BUG_517' -> '#ifdef BUG_517' in 1.344 as was
	pointed out by Miciah.  

Tue Oct 19 05:26:22 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	In cached_header_dialog, mem_alloc the needed memory rather than
	using stracpy as cached_header_dialog goes on to perform the copying
	itself.  

Tue Oct 19 05:23:59 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	In cached_header_dialog, use |cached->head| instead of |header|, the
	latter of which is a copy of the former, to check whether the header
	is empty and whether it begins with '\r'.  

Tue Oct 19 05:08:16 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: dialogs/document.c, dialogs/document.h, sched/download.c:

	Export cached_header_dialog.  
	
	Introduce tp_show_header, which backs a new button in type-query
	boxes, 'Show header', and uses the new
	download_show_header_callback, which uses cached_header_dialog.  

Tue Oct 19 05:01:43 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Factor most of protocol_header_dialog out into the new
	cached_header_dialog. protocol_header_dialog now only calls either
	nowhere_box, if the session has no location, or
	cached_header_dialog, with the return of find_in_cache.  

Tue Oct 19 04:54:22 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/document.c:

	Delete an extra blank line at the end of protocol_header_dialog.  

Mon Oct 18 05:08:40 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Use match_link_text instead of search_link_text when handling a
	redraw event in link_typeahead_handler to check whether we need to
	call draw_typeahead_match.  

Mon Oct 18 04:18:24 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Return TYPEAHEAD_ERROR_NO_FURTHER from do_typeahead when 
	search_link_text returns the current link as a match and the user
	has told ELinks to go to the next or previous match.  
	
	Now ELinks will tell the user that there are no further matches when
	there are no further matches, even when it loops around from the
	current match back to the current match.  

Mon Oct 18 04:12:42 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Return TYPEAHEAD_ERROR_NO_FURTHER instead of TYPEAHEAD_ERROR from
	do_typeahead when document.browse.search.wraparound is disabled, the
	current link matches the search pattern, and the user tells ELinks 
	to go to the next or previous match.  
	
	This avoids the repeated "Could not find a link with the text '...'" 
	messages, fixing bug 513 a little more (the previous fix only
	improved the situation when wraparound was enabled).  

Mon Oct 18 03:14:45 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Swap an if block and its implicit else block.  

Mon Oct 18 03:12:23 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Factor the code to match a string against a link out from
	search_link_text to the new match_link_text.  

Mon Oct 18 03:06:45 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Eliminate the match_link_text macro, and expand its one call, in
	search_link_text; 

Sun Oct 17 23:15:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Hmm, further improve on the checks introduced in sched/action.c
	(1.108 -> 1.109) fixing problems with moving viewer event handling
	to do_action().  

Sun Oct 17 21:36:25 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Fold a nested if statement with its container.  

Sun Oct 17 21:34:56 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Fold two redundant return statements.  

Sun Oct 17 21:33:27 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	In try_form_action, reverse the outer if block and its implied else
	block.  

Sun Oct 17 21:31:05 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Revert; I wanted to go in a different direction...  

Sun Oct 17 21:29:06 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	In try_form_action, initialise status to FRAME_EVENT_IGNORED and
	return status at the end of the routine instead of returning
	FRAME_EVENT_IGNORED.  

Sun Oct 17 21:25:56 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Factor the form-action code out from frame_ev to the new
	try_form_action.  

Sun Oct 17 21:05:34 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/form.c:

	In field_op, leave insert mode when submitting a form field.  This
	eliminates an assertion failure and, more importantly, behaves as I
	think that it should.  

Sun Oct 17 20:45:16 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Rename frame_ev_kbd_number to try_prefix_key.  

Sun Oct 17 20:44:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Move the check whether the key is a digit from the caller of
	frame_ev_kbd_number to frame_ev_kbd_number.  

Sun Oct 17 20:40:34 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Remove a superfluous assertion and fold two checks whether
	|ses->kbdprefix.mark| in try_mark_key.  

Sun Oct 17 20:38:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Swap an if block and its implicit else block to reduce indentation.  

Sun Oct 17 20:34:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Remove a useless comment.  

Sun Oct 17 20:33:17 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

